<?php

require_once 'model/tarea.entidad.php';
require_once 'model/tarea.model.php';
require_once 'model/sistema.entidad.php';
require_once 'model/sistema.model.php';

class TareaController extends helpers {
    private $tarea_model;
    private $sistema_model;

    public function __CONSTRUCT() {
        $this->tarea_model = new TareaModel();
        $this->sistema_model = new SistemaModel();
    }

    public function Index() {
        $tareas = $this->tarea_model->Listar();
        
        require_once 'view/header.php';
        require_once 'view/webforms/wfatarea.php';
        echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarTarea() {
        $sistemas = $this->sistema_model->Listar();

        require_once 'view/webforms/wfatareaa.php';
    }

    public function FrmEditarTarea() {
        $sistemas = $this->sistema_model->Listar();
        $tarea = $this->tarea_model->Buscar($_POST['Tarea_Id']);
        $sistema_detalle = $this->tarea_model->ListarTSPorTarea($_POST['Tarea_Id']);
        // echo '<pre>';
        // var_dump($sistema_detalle);
        // echo '</pre>';
        // exit();
        foreach($tarea as $r):
            require_once 'view/webforms/wfatareaa.php';
        endforeach;
    }

    public function MostrarTarea() {
        $tareas = $this->tarea_model->Buscar($_POST['Tarea_Id']);
        foreach($tareas as $r) :
            echo "
                <tbody>
                    <tr>
                        <td>Código</td>
                        <td>". $r->__get('sTarCodigo') ."</td>
                    </tr>
                    <tr>
                        <td>Nombre</td>
                        <td>". $r->__get('sTarNombre') ."</td>
                    </tr>
                </tbody>
            ";
        endforeach;
    }

    public function GuardarTarea() {
        $tarea = new Tarea();
        $tarea->__set('Tarea_Id', $_POST['Tarea_Id']);
        $tarea->__set('sTarCodigo', $_POST['sTarCodigo']);
        $tarea->__set('sTarNombre', $_POST['sTarNombre']);
        $tarea->__set('nTarEliminado', 0);
        $tarea->__set('nTarUsuario_Id', $_SESSION['usu_codigo']);
        $_POST['Tarea_Id'] == 0 ? $Tarea_Id = $this->tarea_model->Guardar($tarea) : $this->tarea_model->Editar($tarea);

        if ($_POST['Tarea_Id'] != 0) {
            $this->tarea_model->EliminarTareaSistema($_POST['Tarea_Id']);
            if (isset($_POST['array_sistemas'])) {
                foreach($_POST['array_sistemas']  as $key => $r):
                    $ts_detalle = new TareaSistemaDetalle();
                    $ts_detalle->__SET('nTSTarea_Id', $tarea->__GET('Tarea_Id'));
                    $ts_detalle->__SET('nTSSistema_Id', $r);
                    $this->tarea_model->CrearTareaSistemaDetalle($ts_detalle);
                endforeach;
            }
        } else {
            if (isset($_POST['array_sistemas'])) {
                foreach($_POST['array_sistemas']  as $key => $r):
                    $ts_detalle = new TareaSistemaDetalle();
                    $ts_detalle->__SET('nTSTarea_Id', $Tarea_Id);
                    $ts_detalle->__SET('nTSSistema_Id', $r);
                    $this->tarea_model->CrearTareaSistemaDetalle($ts_detalle);
                endforeach;
            }
        }
        

        echo '<div class="alert alert-success prod" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Exito!</strong>, los datos fueron agregados correctamente.
            </div>';
    }

    public function EliminarTarea() {
        $tarea = new Tarea();
        $tarea->__set('Tarea_Id', $_POST['idTarea']);
        $this->tarea_model->Eliminar($tarea);
        echo '<script type="text/javascript">window.location="?c=Tarea&a=Index";</script>';
    }

    // public function PDFUsuario() {
    //     $datos = $this->usuario_model->Buscar($_POST['idUsuario']);
    //     require_once 'view/webforms/PDF/usuario.php';
    // }

}

?>