/*
$(function () {

    jQuery.fn.dataTableExt.oSort['fecha-asc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    };

    jQuery.fn.dataTableExt.oSort['fecha-desc'] = function (a, b) {
        var ukDatea = a.split('-');
        var ukDateb = b.split('-');

        var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
        var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

        return ((x < y) ? 1 : ((x > y) ? -1 : 0));
    };

    //$("#example1").dataTable();
});
*/
$('#modal-eliminar').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget); // Button that triggered the modal
    var recipient = button.data('codigo'); // Extract info from data-* attributes

    // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
    // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
    var modal = $(this);
    modal.find('.modal-body input').val(recipient);
});

function InspeccionPDF(Inspeccion_Id) {

    var url = window.self.location.pathname + '?c=inspecciones&a=PDF&Inspeccion_Id=' + Inspeccion_Id;

    var w = window.open('', '_blank');
    w.document.write('<html><head><title>Generando Documento...</title>');
    w.document.write("<style>body {background:#282828 !important;color:#FFF;} p {font-family: 'Arial', sans-serif;font-size:18px; font-weight:700;padding-bottom:20px;color:#FFF;} .loader4 { width:45px;height:45px;display:inline-block;padding:0px;border-radius:100%;border:5px solid;border-top-color:rgba(246, 36, 89, 1);border-bottom-color:rgba(255,255,255, 0.3);border-left-color:rgba(246, 36, 89, 1);border-right-color:rgba(255,255,255, 0.3);-webkit-animation: loader4 1s ease-in-out infinite;animation: loader4 1s ease-in-out infinite; } @keyframes loader4 { from {transform: rotate(0deg);} to {transform: rotate(360deg);}} @-webkit-keyframes loader4 { from {-webkit-transform: rotate(0deg);} to {-webkit-transform: rotate(360deg);} }</style>");
    w.document.write("<script>setTimeout(function(){window.location.href='" + url + "';},1000);<\/script>");
    w.document.write('</head><body>');
    w.document.write('<div class="container"><div style="width:100%;"><div style="text-align:center;margin-top:20%;"><p>Se esta generando el Documento, por favor espere...</p><div class="loader4"></div></div></div> ');
    w.document.write('</body></html>');
    w.document.close();
    w.focus();
}
/* em 17-10-20 */
function CertificadoPDFCrear(Inspeccion_Id, dRecFecha, sAteTipo) {

    if (sAteTipo > 0) {
        //window.open('?c=inspecciones&a=PDFcertificadoCrear&Inspeccion_Id=' + Inspeccion_Id + '&dRecFecha='+dRecFecha+ '&sAteTipo='+sAteTipo) ;
        $.get('?c=inspecciones&a=PDFcertificadoCrear', {
            Inspeccion_Id: Inspeccion_Id, dRecFecha: dRecFecha, sAteTipo: sAteTipo
        }, function (data) {
            console.log(data);
        });
    }
    if (sAteTipo == 0) {
        var url = window.self.location.pathname + '?c=inspecciones&a=PDFcertificadoCrear&Inspeccion_Id=' + Inspeccion_Id + '&dRecFecha=' + dRecFecha + '&sAteTipo=' + sAteTipo;
        var w = window.open('', '_blank');
        w.document.write('<html><head><title>Generando Documento...</title>');
        w.document.write("<style>body {background:#282828 !important;color:#FFF;} p {font-family: 'Arial', sans-serif;font-size:18px; font-weight:700;padding-bottom:20px;color:#FFF;} .loader4 { width:45px;height:45px;display:inline-block;padding:0px;border-radius:100%;border:5px solid;border-top-color:rgba(246, 36, 89, 1);border-bottom-color:rgba(255,255,255, 0.3);border-left-color:rgba(246, 36, 89, 1);border-right-color:rgba(255,255,255, 0.3);-webkit-animation: loader4 1s ease-in-out infinite;animation: loader4 1s ease-in-out infinite; } @keyframes loader4 { from {transform: rotate(0deg);} to {transform: rotate(360deg);}} @-webkit-keyframes loader4 { from {-webkit-transform: rotate(0deg);} to {-webkit-transform: rotate(360deg);} }</style>");
        w.document.write("<script>setTimeout(function(){window.location.href='" + url + "';},100);<\/script>");
        w.document.write('</head><body>');
        w.document.write('<div class="container"><div style="width:100%;"><div style="text-align:center;margin-top:20%;"><p>Se esta generando el Certificado, por favor espere...</p><div class="loader4"></div></div></div> ');
        w.document.write('</body></html>');
        w.document.close();
        w.focus();
    }
}

function editarDetalle(id) {
    $("#modal-info").modal("show");
    $.post('?c=inspecciones&a=FrmEditarDetalles', {
        Inspeccion_Id: id
    }, function (data) {
        $(".content-wrapper").html(data);
        ListarDetalleSug(id);
        $("#modal-info").modal("hide");
    });
}


function GuardarEdicionInspeccion() {
    try {
        var FormularioDatos = $('#FrmEditarInspeccion_Datos').serializeArray();
        var FormularioEvElectrica = $('#FrmEditarInspeccion_EvElectrica').serializeArray();
        var FormularioEvDiodos = $('#FrmEditarInspeccion_EvDiodos').serializeArray();
        var FormularioPruebaConCarga = $('#FrmEditarInspeccion_PruebaConCarga').serializeArray();

        var Inspeccion_Id = $('#Inspeccion_Id').val();
        var Usuario_Id = $('#Usuario_Id').val();
        var tabla_cabecera = [], tabla_evmecanica = [], tabla_evelectrica = [],
            tabla_evdiodos = [], tabla_pruebaconcarga = [];
        var jT_cabecera, jT_EvMecanica, jT_EvElectrica, jT_EvDiodos, jT_PruebaConCarga;

        tabla_cabecera.push({
            Inspeccion_Id: nulling(FormularioDatos[0].value),
            InsCliente: nulling(FormularioDatos[1].value),
            InsCodCliente: nulling(FormularioDatos[2].value),
            InsCodEquipo: nulling(FormularioDatos[11].value),
            InsProducto: nulling(FormularioDatos[12].value),
            InsServicio: nulling(FormularioDatos[10].value),
            InsSerie: nulling(FormularioDatos[13].value),
            InsMarca: nulling(FormularioDatos[14].value),
            InsKW: nulling(FormularioDatos[15].value),
            InsHorometro: nulling(FormularioDatos[16].value),
            InsMotorMarca: nulling(FormularioDatos[17].value),
            InsMotorSerie: nulling(FormularioDatos[18].value),
            InsMotorListaPartes: nulling(FormularioDatos[19].value),
            InsAlternadorMarca: nulling(FormularioDatos[20].value),
            InsAlternadorMotor: null,
            InsAlternadorSerie: nulling(FormularioDatos[21].value),
            InsAlternadorKW: nulling(FormularioDatos[22].value),
            InsFecha: nulling(FormularioDatos[23].value),
            InsHoraInicio: nulling(FormularioDatos[24].value),
            InsHoraTermino: nulling(FormularioDatos[25].value),
            InsTecnicoResponsable: nulling(FormularioDatos[26].value),
            nInsSugerencia: nulling(FormularioDatos[27].value),
            InsFoto: null,
            InsRepresentante: null,
            InsRepCargo: null,
            InsEstado: 1,
            InsEliminado: 0,
            InsUsuario_Id: Usuario_Id,

            sDistrito: nulling(FormularioDatos[5].value),
            sSedeProyecto: nulling(FormularioDatos[6].value),
            sNombreContacto: nulling(FormularioDatos[8].value),
            sTelefonoContacto: nulling(FormularioDatos[9].value),
            sCiudad: nulling(FormularioDatos[7].value),
            sCalleAv: nulling(FormularioDatos[3].value),
            sNumero: nulling(FormularioDatos[4].value)
        });

        var cantidad_ev = $('.evmecanica_row').length;

        for (var i = 0; i < cantidad_ev; i++) {

            var pregunta_id = parseInt($('.evmecanica_row')[i].children[0].innerHTML);
            var respuesta = $('input[name="respuesta_' + pregunta_id + '"]:checked').val();
            var cantidad = $('input[name="nPreCantidad_' + pregunta_id + '"]').val();
            var NParte = $('input[name="nPreNroParte_' + pregunta_id + '"]').val();
            var Fecha = $('input[name="sPreFecha_' + pregunta_id + '"]').val();
            var Observaciones = $('input[name="nPrePreObservaciones_' + pregunta_id + '"]').val();

            if (respuesta == undefined && cantidad.length === 0 && NParte.length === 0 && Fecha.length === 0 && Observaciones.length === 0) {

            } else {
                tabla_evmecanica.push({
                    Inspeccion_Id: Inspeccion_Id,
                    Pregunta_Id: pregunta_id,
                    Respuesta: nulling(respuesta),
                    Cantidad: nulling(cantidad),
                    NParte: nulling(NParte),
                    Fecha: nulling(Fecha),
                    Observaciones: nulling(Observaciones)
                });
            }
        }

        tabla_evelectrica.push({
            Inspeccion_Id: Inspeccion_Id,
            // seleccion: nulling($('.voltaje:checked').attr('aria-seleccion')),
            seleccion: nulling($('input:checkbox[class=voltaje]:checked').val()),
            sMegSerie: nulling(FormularioEvElectrica[0].value),
            nMegT1T2: nulling(FormularioEvElectrica[1].value),
            nMegT1T3: nulling(FormularioEvElectrica[2].value),
            nMegT1T7: nulling(FormularioEvElectrica[3].value),
            nMegT1T8: nulling(FormularioEvElectrica[4].value),
            nMegT1T9: nulling(FormularioEvElectrica[5].value),
            nMegT1Trr: nulling(FormularioEvElectrica[6].value),
            nMegT1Val: nulling(FormularioEvElectrica[7].value),
            sMegT1Obs: nulling(FormularioEvElectrica[8].value),
            nMegT2T1: nulling(FormularioEvElectrica[9].value),
            nMegT2T3: nulling(FormularioEvElectrica[10].value),
            nMegT2T7: nulling(FormularioEvElectrica[11].value),
            nMegT2T8: nulling(FormularioEvElectrica[12].value),
            nMegT2T9: nulling(FormularioEvElectrica[13].value),
            nMegT2Trr: nulling(FormularioEvElectrica[14].value),
            nMegT2Val: nulling(FormularioEvElectrica[15].value),
            sMegT2Obs: nulling(FormularioEvElectrica[16].value),
            nMegT3T1: nulling(FormularioEvElectrica[17].value),
            nMegT3T2: nulling(FormularioEvElectrica[18].value),
            nMegT3T7: nulling(FormularioEvElectrica[19].value),
            nMegT3T8: nulling(FormularioEvElectrica[20].value),
            nMegT3T9: nulling(FormularioEvElectrica[21].value),
            nMegT3Trr: nulling(FormularioEvElectrica[22].value),
            nMegT3Val: nulling(FormularioEvElectrica[23].value),
            sMegT3Obs: nulling(FormularioEvElectrica[24].value),
            nMegT7T1: nulling(FormularioEvElectrica[25].value),
            nMegT7T2: nulling(FormularioEvElectrica[26].value),
            nMegT7T3: nulling(FormularioEvElectrica[27].value),
            nMegT7T8: nulling(FormularioEvElectrica[28].value),
            nMegT7T9: nulling(FormularioEvElectrica[29].value),
            nMegT7Trr: nulling(FormularioEvElectrica[30].value),
            nMegT7Val: nulling(FormularioEvElectrica[31].value),
            sMegT7Obs: nulling(FormularioEvElectrica[32].value),
            nMegT8T1: nulling(FormularioEvElectrica[33].value),
            nMegT8T2: nulling(FormularioEvElectrica[34].value),
            nMegT8T3: nulling(FormularioEvElectrica[35].value),
            nMegT8T7: nulling(FormularioEvElectrica[36].value),
            nMegT8T9: nulling(FormularioEvElectrica[37].value),
            nMegT8Trr: nulling(FormularioEvElectrica[38].value),
            nMegT8Val: nulling(FormularioEvElectrica[39].value),
            sMegT8Obs: nulling(FormularioEvElectrica[40].value),
            nMegT9T1: nulling(FormularioEvElectrica[41].value),
            nMegT9T2: nulling(FormularioEvElectrica[42].value),
            nMegT9T3: nulling(FormularioEvElectrica[43].value),
            nMegT9T7: nulling(FormularioEvElectrica[44].value),
            nMegT9T8: nulling(FormularioEvElectrica[45].value),
            nMegT9Trr: nulling(FormularioEvElectrica[46].value),
            nMegT9Val: nulling(FormularioEvElectrica[47].value),
            sMegT9Obs: nulling(FormularioEvElectrica[48].value),
            nMegEstExcTrr: nulling(FormularioEvElectrica[49].value),
            nMegEstExcVal: nulling(FormularioEvElectrica[50].value),
            sMegEstExcObs: nulling(FormularioEvElectrica[51].value),
            nMegRotPplTrr: nulling(FormularioEvElectrica[52].value),
            nMegRotPplVal: nulling(FormularioEvElectrica[53].value),
            sMegRotPplObs: nulling(FormularioEvElectrica[54].value),
            nMegRotExcTrr: nulling(FormularioEvElectrica[55].value),
            nMegRotExcVal: nulling(FormularioEvElectrica[56].value),
            sMegRotExcObs: nulling(FormularioEvElectrica[57].value),
            nMegPgmTrr: nulling(FormularioEvElectrica[58].value),
            nMegPgmVal: nulling(FormularioEvElectrica[59].value),
            sMegPgmOnbs: nulling(FormularioEvElectrica[60].value),
            sMegObservacion: nulling(FormularioEvElectrica[61].value)
        });

        tabla_evdiodos.push({
            Inspeccion_Id: Inspeccion_Id,
            sDirecto01: FormularioEvDiodos[0].value,
            sDirecto02: FormularioEvDiodos[1].value,
            sDirecto03: FormularioEvDiodos[2].value,
            sInverso01: FormularioEvDiodos[3].value,
            sInverso02: FormularioEvDiodos[4].value,
            sInverso03: FormularioEvDiodos[5].value,
            sVaristor: FormularioEvDiodos[6].value
        });

        tabla_pruebaconcarga.push({
            Inspeccion_Id: Inspeccion_Id,
            sPruHoraIni: FormularioPruebaConCarga[0].value,
            sPruHoraTer: FormularioPruebaConCarga[1].value,
            sPruFasesRST: FormularioPruebaConCarga[2].value,
            sPruSet00: FormularioPruebaConCarga[3].value,
            sPruSet25: FormularioPruebaConCarga[4].value,
            sPruSet50: FormularioPruebaConCarga[5].value,
            sPruSet75: FormularioPruebaConCarga[6].value,
            sPruSet100: FormularioPruebaConCarga[7].value,
            sPruSet110: FormularioPruebaConCarga[8].value,
            nPruTiempo: FormularioPruebaConCarga[9].value,
            sPruValor: FormularioPruebaConCarga[10].value,
            sPruObservaciones: FormularioPruebaConCarga[11].value,
            sPruDet01_0: FormularioPruebaConCarga[12].value,
            sPruDet01_1: FormularioPruebaConCarga[13].value,
            sPruDet01_2: FormularioPruebaConCarga[14].value,
            sPruDet01_3: FormularioPruebaConCarga[15].value,
            sPruDet01_4: FormularioPruebaConCarga[16].value,
            sPruDet01_5: FormularioPruebaConCarga[17].value,
            sPruDet02_0: FormularioPruebaConCarga[18].value,
            sPruDet02_1: FormularioPruebaConCarga[19].value,
            sPruDet02_2: FormularioPruebaConCarga[20].value,
            sPruDet02_3: FormularioPruebaConCarga[21].value,
            sPruDet02_4: FormularioPruebaConCarga[22].value,
            sPruDet02_5: FormularioPruebaConCarga[23].value,
            sPruDet03_0: FormularioPruebaConCarga[24].value,
            sPruDet03_1: FormularioPruebaConCarga[25].value,
            sPruDet03_2: FormularioPruebaConCarga[26].value,
            sPruDet03_3: FormularioPruebaConCarga[27].value,
            sPruDet03_4: FormularioPruebaConCarga[28].value,
            sPruDet03_5: FormularioPruebaConCarga[29].value,
            sPruDet04_0: FormularioPruebaConCarga[30].value,
            sPruDet04_1: FormularioPruebaConCarga[31].value,
            sPruDet04_2: FormularioPruebaConCarga[32].value,
            sPruDet04_3: FormularioPruebaConCarga[33].value,
            sPruDet04_4: FormularioPruebaConCarga[34].value,
            sPruDet04_5: FormularioPruebaConCarga[35].value,
            sPruDet05_0: FormularioPruebaConCarga[36].value,
            sPruDet05_1: FormularioPruebaConCarga[37].value,
            sPruDet05_2: FormularioPruebaConCarga[38].value,
            sPruDet05_3: FormularioPruebaConCarga[39].value,
            sPruDet05_4: FormularioPruebaConCarga[40].value,
            sPruDet05_5: FormularioPruebaConCarga[41].value,
            sPruDet06_0: FormularioPruebaConCarga[42].value,
            sPruDet06_1: FormularioPruebaConCarga[43].value,
            sPruDet06_2: FormularioPruebaConCarga[44].value,
            sPruDet06_3: FormularioPruebaConCarga[45].value,
            sPruDet06_4: FormularioPruebaConCarga[46].value,
            sPruDet06_5: FormularioPruebaConCarga[47].value,
            sPruDet07_0: FormularioPruebaConCarga[48].value,
            sPruDet07_1: FormularioPruebaConCarga[49].value,
            sPruDet07_2: FormularioPruebaConCarga[50].value,
            sPruDet07_3: FormularioPruebaConCarga[51].value,
            sPruDet07_4: FormularioPruebaConCarga[52].value,
            sPruDet07_5: FormularioPruebaConCarga[53].value,
            sPruDet08_0: FormularioPruebaConCarga[54].value,
            sPruDet08_1: FormularioPruebaConCarga[55].value,
            sPruDet08_2: FormularioPruebaConCarga[56].value,
            sPruDet08_3: FormularioPruebaConCarga[57].value,
            sPruDet08_4: FormularioPruebaConCarga[58].value,
            sPruDet08_5: FormularioPruebaConCarga[59].value,
            sPruDet09_0: FormularioPruebaConCarga[60].value,
            sPruDet09_1: FormularioPruebaConCarga[61].value,
            sPruDet09_2: FormularioPruebaConCarga[62].value,
            sPruDet09_3: FormularioPruebaConCarga[63].value,
            sPruDet09_4: FormularioPruebaConCarga[64].value,
            sPruDet09_5: FormularioPruebaConCarga[65].value,
            sPruDet10_0: FormularioPruebaConCarga[66].value,
            sPruDet10_1: FormularioPruebaConCarga[67].value,
            sPruDet10_2: FormularioPruebaConCarga[68].value,
            sPruDet10_3: FormularioPruebaConCarga[69].value,
            sPruDet10_4: FormularioPruebaConCarga[70].value,
            sPruDet10_5: FormularioPruebaConCarga[71].value,
            sPruDet11_0: FormularioPruebaConCarga[72].value,
            sPruDet11_1: FormularioPruebaConCarga[73].value,
            sPruDet11_2: FormularioPruebaConCarga[74].value,
            sPruDet11_3: FormularioPruebaConCarga[75].value,
            sPruDet11_4: FormularioPruebaConCarga[76].value,
            sPruDet11_5: FormularioPruebaConCarga[77].value,
            sPruDet12_0: FormularioPruebaConCarga[78].value,
            sPruDet12_1: FormularioPruebaConCarga[79].value,
            sPruDet12_2: FormularioPruebaConCarga[80].value,
            sPruDet12_3: FormularioPruebaConCarga[81].value,
            sPruDet12_4: FormularioPruebaConCarga[82].value,
            sPruDet12_5: FormularioPruebaConCarga[83].value,
            sPruDet13_0: FormularioPruebaConCarga[84].value,
            sPruDet13_1: FormularioPruebaConCarga[85].value,
            sPruDet13_2: FormularioPruebaConCarga[86].value,
            sPruDet13_3: FormularioPruebaConCarga[87].value,
            sPruDet13_4: FormularioPruebaConCarga[88].value,
            sPruDet13_5: FormularioPruebaConCarga[89].value,
            sPruDet14_0: FormularioPruebaConCarga[90].value,
            sPruDet14_1: FormularioPruebaConCarga[91].value,
            sPruDet14_2: FormularioPruebaConCarga[92].value,
            sPruDet14_3: FormularioPruebaConCarga[93].value,
            sPruDet14_4: FormularioPruebaConCarga[94].value,
            sPruDet14_5: FormularioPruebaConCarga[95].value,
            sPruDet15_0: FormularioPruebaConCarga[96].value,
            sPruDet15_1: FormularioPruebaConCarga[97].value,
            sPruDet15_2: FormularioPruebaConCarga[98].value,
            sPruDet15_3: FormularioPruebaConCarga[99].value,
            sPruDet15_4: FormularioPruebaConCarga[100].value,
            sPruDet15_5: FormularioPruebaConCarga[101].value,
            sPruDet16_0: FormularioPruebaConCarga[102].value,
            sPruDet16_1: FormularioPruebaConCarga[103].value,
            sPruDet16_2: FormularioPruebaConCarga[104].value,
            sPruDet16_3: FormularioPruebaConCarga[105].value,
            sPruDet16_4: FormularioPruebaConCarga[106].value,
            sPruDet16_5: FormularioPruebaConCarga[107].value,
            sPruDet17_0: FormularioPruebaConCarga[108].value,
            sPruDet17_1: FormularioPruebaConCarga[109].value,
            sPruDet17_2: FormularioPruebaConCarga[110].value,
            sPruDet17_3: FormularioPruebaConCarga[111].value,
            sPruDet17_4: FormularioPruebaConCarga[112].value,
            sPruDet17_5: FormularioPruebaConCarga[113].value,
            sPruDet18_0: FormularioPruebaConCarga[114].value,
            sPruDet18_1: FormularioPruebaConCarga[115].value,
            sPruDet18_2: FormularioPruebaConCarga[116].value,
            sPruDet18_3: FormularioPruebaConCarga[117].value,
            sPruDet18_4: FormularioPruebaConCarga[118].value,
            sPruDet18_5: FormularioPruebaConCarga[119].value,
            sPruDet19_0: FormularioPruebaConCarga[120].value,
            sPruDet19_1: FormularioPruebaConCarga[121].value,
            sPruDet19_2: FormularioPruebaConCarga[122].value,
            sPruDet19_3: FormularioPruebaConCarga[123].value,
            sPruDet19_4: FormularioPruebaConCarga[124].value,
            sPruDet19_5: FormularioPruebaConCarga[125].value,
            sPruDet20_0: FormularioPruebaConCarga[126].value,
            sPruDet20_1: FormularioPruebaConCarga[127].value,
            sPruDet20_2: FormularioPruebaConCarga[128].value,
            sPruDet20_3: FormularioPruebaConCarga[129].value,
            sPruDet20_4: FormularioPruebaConCarga[130].value,
            sPruDet20_5: FormularioPruebaConCarga[131].value,
            sPruDetObs_0: FormularioPruebaConCarga[132].value,
            sPruDetObs_1: FormularioPruebaConCarga[133].value,
            sPruDetObs_2: FormularioPruebaConCarga[134].value,
            sPruDetObs_3: FormularioPruebaConCarga[135].value,
            sPruDetObs_4: FormularioPruebaConCarga[136].value,
            sPruDetObs_5: FormularioPruebaConCarga[137].value
        });

        // tabla de repuestos
        var json = {};
        json.Repuestos = JSON.stringify($('#table-ls-repuestos').tableToJSON({
            ignoreColumns: [8]
        }));
        var formData = new FormData(document.getElementById("FrmEditarInspeccion_Sugerencia"));
        formData.append('Repuestos', json.Repuestos);


        // otra solución
        var repuestos_tabla = [];

        var cantidad_repuestos = $('#table-ls-repuestos').children().length;

        for (var j = 0; j < cantidad_repuestos; j++) {
            repuestos_tabla.push({
                Inspeccion_Id: $('#table-ls-repuestos').children()[j].children[0].innerHTML,
                nInsSugRepuesto: $('#table-ls-repuestos').children()[j].children[3].innerHTML,
                nInsSugCantidad: $('#table-ls-repuestos').children()[j].children[2].innerHTML,
                nInsSugCodigo: $('#table-ls-repuestos').children()[j].children[1].innerHTML,
                sInsSugFoto1: $('#table-ls-repuestos').children()[j].children[4].innerText,
                sInsSugFoto2: $('#table-ls-repuestos').children()[j].children[5].innerText,
                inspecciones_sugerencia_id: $('#table-ls-repuestos').children()[j].children[6].innerHTML

            });
        }


        jT_cabecera = JSON.stringify(tabla_cabecera);
        jT_EvMecanica = JSON.stringify(tabla_evmecanica);
        jT_EvElectrica = JSON.stringify(tabla_evelectrica);
        jT_EvDiodos = JSON.stringify(tabla_evdiodos);
        jT_PruebaConCarga = JSON.stringify(tabla_pruebaconcarga);
        jT_Sugerencia = JSON.stringify(repuestos_tabla);

        $.post('?c=inspecciones&a=GuardarEdicion_Datos', {
            jcabecera: jT_cabecera
        }, function (data) {
            // console.log('GuardarEdicion_Datos:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvMecanica', {
            jEvMecanica: jT_EvMecanica
        }, function (data) {
            console.log('GuardarEdicion_EvMecanica:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvElectrica', {
            jEvElectrica: jT_EvElectrica
        }, function (data) {
            // console.log('GuardarEdicion_EvElectrica:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_EvDiodos', {
            jEvDiodos: jT_EvDiodos
        }, function (data) {
            // console.log('GuardarEdicion_EvDiodos:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_PruebaConCarga', {
            jPruebaConCarga: jT_PruebaConCarga
        }, function (data) {
            // console.log('GuardarEdicion_PruebaConCarga:', data);
        });

        $.post('?c=inspecciones&a=GuardarEdicion_Sugerencia_Repuestos', {
            jT_Sugerencia: jT_Sugerencia
        }, function (data) {
            // console.log('GuardarEdicion_PruebaConCarga:', data);
        });


        // $.ajax({
        //     url: '?c=inspecciones&a=GuardarEdicion_Sugerencia_Repuestos',
        //     data: formData,
        //     type: "post",
        //     data: formData,
        //     cache: false,
        //     dataType: "text",
        //     contentType: false,
        //     processData: false,
        //     success: function (data) {
        //         console.log(data);
        //         // $("#vsugerencia_id").val(sugerenciaid);
        //         // $("#modal-areaComercial").modal("show");
        //     }
        // });

        window.location.href = "?c=inspecciones&a=Index";
    } catch (e) {
        console.log(e);
    }
}

function nulling(valor) {
    var salida = valor;
    if (valor === '' || valor == undefined) {
        salida = null;
    }

    return salida;
}
/* ****************          SOAP FUNCTIONS      *****************************                    */
/* em 17-11-2020 */
function buscarCodigoSoap() {
    $("#modal-info").modal("show");
    var client_id = $("#sInsCodCliente").val();
    if (client_id != '') {
        $.post('?c=inspecciones&a=buscarCodigoSoap', { client_id: client_id }, function (data) {
            if ($(data).find("item").length > 0) {
                $(data).find("item").each(function () {
                    $("#modal-info").modal("hide");
                    $("#sInsCliente").val($(this).find('NAME1').text());
                });
            } else {
                $("#modal-info").modal("hide");
                alert("CODIGO NO EXISTE.......!");
            }
        })
            .fail(function (response) {
                $("#modal-info").modal("hide");
                //alert('Error: ' + response.responseText);
                alert('Error: No se puede conectar al servicio...');
            });
    }
}
function buscarVimSoap() {
    $("#modal-info").modal("show");
    var client_id = $("#sInsCodEquipo").val();
    if (client_id != '') {
        $.post('?c=inspecciones&a=buscarCodigoSoap', { client_id: client_id }, function (data) {
            console.log((data));
            if ($(data).find("item").length > 0) {
                $(data).find("item").each(function () {
                    $("#modal-info").modal("hide");
                    $("#sInsMotorSerie").val('');
                    $("#sInsSerie").val('');
                    $("#sInsMotorSerie").val($(this).find('SERIE').text());
                    $("#sInsSerie").val($(this).find('NUM_MOTOR').text());
                    //$("#pro_producto").selectpicker("val", data[0].Modelo_Id);

                    //$("#vCliente_Id").val($(this).find('CLIENTE').text());    /* em nuevos -*/
                    //$('#vCliente_Id').selectpicker('refresh');		
                });
            } else {
                $("#modal-info").modal("hide");
                alert("CODIGO NO EXISTE.......!");
            }
        })
            .fail(function (response) {
                $("#modal-info").modal("hide");
                //alert('Error: ' + response.responseText);
                alert('Error: No se puede conectar al servicio...');
            });
    }
}
function buscarCodigoSoapByEquipo() {
    var client_id = $("#sInsCodEquipo").val();
    $("#modal-info").modal("show");
    if (client_id != '') {
        $.post('?c=inspecciones&a=buscarCodigoSoapByEquipo', { client_id: client_id }, function (data) {
            if ($(data).find("item").length > 0) {

                $(data).find("item").each(function () {
                    $("#modal-info").modal("hide");
                    $("#sInsMotorSerie").val('');
                    $("#sInsSerie").val('');
                    $("#sInsMotorSerie").val($(this).find('NUM_MOTOR').text());
                    $("#sInsSerie").val($(this).find('SERIE').text());
                    //$("#pro_producto").selectpicker("val", data[0].Modelo_Id);         
                    //$("#vCliente_Id").val($(this).find('CLIENTE').text());    /* em nuevos -*/
                    //$('#vCliente_Id').selectpicker('refresh');
                });
            } else {
                //alert("CODIGO NO EXISTE.......!");
                $("#modal-info").modal("hide");
                buscarCodigoSoapByEquipoByClient();
            }
        })
            .fail(function (response) {
                $("#modal-info").modal("hide");
                //alert('Error: ' + response.responseText);
                alert('Error: No se puede conectar al servicio...');
            });
    }
}
/* EM 23-11-2020 */
function buscarCodigoSoapByEquipoByClient() {
    $("#modal-info").modal("show");
    var client_id = $("#sInsCodCliente").val();
    if (client_id != '') {
        $.post('?c=inspecciones&a=buscarCodigoSoapByEquipoByClient', { client_id: client_id }, function (data) {
            $("#modal-info").modal("hide");
            if ($(data).find("item").length > 0) {
                $("#modal-info").modal("hide");
                $("#modal-soap").modal("show");
                var vHtml = '';
                var i = 1;
                $(data).find("item").each(function () {
                    if ($(this).find('SERIE').text() != '' && $(this).find('NUM_MOTOR').text() != '') {
                        vHtml += '<tr id="row-' + i + '">';
                        vHtml += '   <td>' + $(this).find('SERIE').text() + '</td>';
                        vHtml += '   <td>' + $(this).find('NUM_MOTOR').text() + '</td>';
                        //vHtml += '   <td>' + $(this).find('PLACA').text() + '</td>';
                        vHtml += '   <td style="display: none;" width="0%">' + $(this).find('MARCA').text() + '</td>';
                        //vHtml += '   <td>' + $(this).find('MODELO').text() + '</td>';
                        vHtml += '   <td style="display: none;" width="0%">' + $(this).find('EQUIPO').text() + '</td>';

                        vHtml += '   <td>';
                        vHtml += '      <a class="btn btn-danger btn-xs add-soap" href="#" data-codigo="' + i + '"><span class="glyphicon glyphicon-ok"></span></a>';
                        vHtml += '   </td>';
                        vHtml += '</tr>';
                        i++;
                    }
                });

                $("#table-ls-soap  tbody").html(vHtml);
                ClickEditAddSoap();
            } else {
                $("#modal-info").modal("hide");
                alert("CODIGO NO EXISTE.......!");
            }
        })
            .fail(function (response) {
                $("#modal-info").modal("hide");
                //alert('Error: ' + response.responseText);
                alert('Error: No se puede conectar al servicio...');
            });
    }
}
function ClickEditAddSoap() {
    $(".add-soap").click(function (e) {
        e.preventDefault();

        var codigo = $(this).data("codigo");
        var json = {}, clones = [], tableId = 'table-ls-soap';
        var clones = $('#' + tableId).tableToJSON({
            ignoreColumns: [16]
        });

        let i = codigo - 1;
        if (i >= 0) {
            $("#sInsMotorSerie").val('');
            $("#sInsSerie").val('');
            $("#sInsMarca").val('');
            $("#sInsCodEquipo").val('');
            $("#sInsMotorSerie").val(clones[i].numero);
            $("#sInsSerie").val(clones[i].serie);
            $("#sInsMarca").val(clones[i].marca);
            $("#sInsCodEquipo").val(clones[i].codigo);

        }
        $("#modal-soap").modal("hide");

    });
}

// sugerencia y repuestos


function AutoGuardadoInspRepuesto() {
    cargarRepuesto();
}

function cargarRepuesto() {
    if ($("#nInsSugCodigo").val() != "") {

        var json = {}, data = [], tableId = 'table-ls-repuestos';

        var data_geta = $('#' + tableId).tableToJSON({
            ignoreColumns: [6]
        });
        if ($('#table-ls-repuestos').tableToJSON({ ignoreColumns: [6] })[0].repuesto_id != "No hay información" &&
            data_geta.length > 0) {
            data = data_geta;
        }
        var foto1 = $("#sInsSugFoto1").val();
        var foto2 = $("#sInsSugFoto2").val();
        var codrep = $('#nInsSugCodigo').val();

        json.Inspeccion_Id = $("#Inspeccion_Id").val();
        json.nInsSugCodigo = $("#nInsSugCodigo").val();
        json.nInsSugCantidad = $("#nInsSugCantidad").val();
        json.nInsSugRepuesto = $("#nInsSugRepuesto").val() != "" ? $("#nInsSugRepuesto").val() : '-';
        json.sInsSugFoto1 = foto1 != '' ? sugerencia_id + '_' + codrep + '_' + foto1.substr(12) : '';
        json.sInsSugFoto2 = foto2 != '' ? sugerencia_id + '_' + codrep + '_' + foto2.substr(12) : '';


        var i = $("#posicion").val();
        if ($("#ale").val() == 0) { // si el codigo <> 0 no es nuevo 
            data.push(json);

        } else {  // modifica existente
            data[i].Inspeccion_Id = $("#Inspeccion_Id").val();
            data[i].nInsSugCodigo = $("#nInsSugCodigo").val();
            data[i].nInsSugCantidad = $("#nInsSugCantidad").val();
            data[i].nInsSugRepuesto = $("#nInsSugRepuesto").val();
            data[i].sInsSugFoto1 = foto1 != '' ? sugerencia_id + '_' + codrep + '_' + foto1.substr(12) : '';
            data[i].sInsSugFoto2 = foto2 != '' ? sugerencia_id + '_' + codrep + '_' + foto2.substr(12) : '';

        }

        LlenarTablaRep(data, tableId);
        LimpiarDetRepuesto();
    }
}

function LlenarTablaRep(data, table) {

    var vHtml = '';
    for (var i = 0; i < data.length; i++) {
        vHtml = '<tr id="row-' + data[i].Inspeccion_Id + '">';
        vHtml += '   <td  style="display: none;">' + data[i].Inspeccion_Id + '</td>';
        vHtml += '   <td>' + data[i].nInsSugCodigo + '</td>';
        vHtml += '   <td>' + data[i].nInsSugCantidad + '</td>';
        vHtml += '   <td>' + data[i].nInsSugRepuesto + '</td>';
        vHtml += '   <td><a href="./sugerencias_fotos/' + data[i].sInsSugFoto1 + '" target="_blank">' + data[i].sInsSugFoto1 + '</a></td>';
        vHtml += '   <td><a href="./sugerencias_fotos/' + data[i].sInsSugFoto2 + '" target="_blank">' + data[i].sInsSugFoto2 + '</a></td>';
        vHtml += '   <td>';
        vHtml += '   <a class="btn btn-danger btn-xs eli-remove" id = "eli-add-usuario" href="#" data-codigo="' + data[i].sugerenciadetalle_id + '"><span class="glyphicon glyphicon-trash"></span></a>';
        vHtml += '   </td>';
        vHtml += '   </tr>';

    }

    $("#" + table + " tbody").html(vHtml);

    ClickEli();
    // EditarDetalles();
}

function LimpiarDetRepuesto() {
    $('#repuesto_id').val("0");
    $('#nInsSugCodigo').val("");
    $('#nInsSugRepuesto').val("");
    $('#nInsSugCodigo').val("");
    $('#ale').val("");
    $('#posicion').val("");
    $('#v_id').val("");
}

function ClickEli() {
    $(".eli-remove").click(function (e) {
        var $this = $(this);
        var col = $this.index();
        var row = $this.closest('tr').index();
        var usuario = $(this).parents("tr").find("td")[1].innerHTML;
        $("#posi").val(row);
        $("#modal-eliminarRep").modal("show");
        return;


    });
}

function eliminarUnoaUno() {
    var posicion = parseInt($("#posi").val()) + 1;
    document.getElementById("table-ls-repuestos").deleteRow(posicion);
    var codigo = $(this).data("codigo");
    var json = {}, data_get = [], tableId = 'table-ls-repuestos';

    var data_get = $('#' + tableId).tableToJSON({
        ignoreColumns: [6]
    });
    console.log(data_get);

    var table = $('#table-ls-repuestos');
    if (table.tableToJSON({ ignoreColumns: [6] }).length == 0) {

        table.find("tbody").html('<tr><td class="text-center" colspan="4">No hay información</td></tr>');

    }
    $("#modal-eliminarRep").modal("hide");
}

function ListarDetalleSug(id) {
    var tableId = 'table-ls-repuestos';
    $.post('?c=inspecciones&a=ListarDetalleSug',
        {
            id: id
        }, function (data) {
            if (JSON.parse(data).length > 0) {
                LlenarTablaRep(JSON.parse(data), tableId);
            }
        });
}


/// otra solución sugerencias

function agregar_repuesto() {
    $('#modal-operaciones').modal('show');
}

function agregar_repuesto_ok() {
    var datos = $('#FrmGuardarReclamosDetalleSugerencia').serializeArray();
    var Inspeccion_Id = $("#Inspeccion_Id").val();
    //fotos
    var foto1 = $("#sInsSugFoto1").val();
    var foto1_f = foto1 != "" ? Inspeccion_Id + '_' + foto1.substr(12) : '';
    var foto2 = $("#sInsSugFoto2").val();
    var foto2_f = foto2 != "" ? Inspeccion_Id + '_' + foto2.substr(12) : '';

    var conteo_repuestos = $('#table-ls-repuestos').children().length;
    var siguiente = conteo_repuestos + 1;
    var row_repuesto = '<tr id="row_repuesto' + siguiente + '">';
    row_repuesto += '<td style="display:none">' + datos[0].value + '</td>';
    row_repuesto += '<td>' + datos[3].value + '</td>';
    row_repuesto += '<td>' + datos[2].value + '</td>';
    row_repuesto += '<td>' + datos[1].value + '</td>';
    row_repuesto += '<td><a href="./sugerencias_fotos/' + foto1_f + '" target="_blank">' + foto1_f + '</a></td>';
    row_repuesto += '<td><a href="./sugerencias_fotos/' + foto2_f + '" target="_blank">' + foto2_f + '</a></td>';
    row_repuesto += '<td style="display:none">' + datos[4].value + '</td>';
    row_repuesto += '<td><button type="button" onclick="return quitar_repuesto(' + siguiente + ')" class="btn btn-xs btn-flat btn-danger"><i class="fa fa-times"></i></button></td>';
    row_repuesto += '</tr>';

    $('#table-ls-repuestos').append(row_repuesto);
    $('#modal-operaciones').modal('hide');
    $('#FrmGuardarReclamosDetalleSugerencia').trigger('reset');
}


function quitar_repuesto(id) {
    $('#row_repuesto_a_eliminar').val(id);
    $('#modal-eliminarRep').modal('show');
}

function quitar_repuesto_ok(id) {
    $('#row_repuesto_' + id).remove();
    $('#modal-eliminarRep').modal('hide');
}

function confirmar_quitar_contacto() {
    $('#row_' + $('#id_row').val()).remove();
    $('#modal-eliminarRep').modal('hide');
}

function editar_repuesto(id_row) {
    document.getElementById('sInsSugFoto1_e').innerHTML = '';
    document.getElementById('sInsSugFoto2_e').innerHTML = '';


    // $('#sODConCor_e').css('border-color', '');
    var inspecciones_sugerencia_id = $('#row_repuesto_' + id_row).children()[6].innerHTML.trim();
    var repuesto = $('#row_repuesto_' + id_row).children()[3].innerHTML.trim();
    var cantidad = $('#row_repuesto_' + id_row).children()[2].innerHTML.trim();
    var codigo = $('#row_repuesto_' + id_row).children()[1].innerHTML.trim();
    var img1 = $('#row_repuesto_' + id_row).children()[4].innerText.trim();
    var img2 = $('#row_repuesto_' + id_row).children()[5].innerText.trim();
    var ruta = './sugerencias_fotos/' + img1 + ''
    var ruta2 = './sugerencias_fotos/' + img2 + ''

    var imagen1 = '<div style="padding:10px;">';
    imagen1 += 'ARCHIVO SUBIDO:';
    imagen1 += '<BR>';
    imagen1 += '&nbsp';
    imagen1 += '<td align="center">';
    imagen1 += '<a id="" href="' + ruta + '" class="btn btn-xs btn-flat btn-info" target="_blank"><i class="fa fa-arrow-circle-up"></i>' + img1 + '</a>';
    imagen1 += '</div>';

    var imagen2 = '<div style="padding:10px;">';
    imagen2 += 'ARCHIVO SUBIDO:';
    imagen2 += '<BR>';
    imagen2 += '&nbsp';
    imagen2 += '<td align="center">';
    imagen2 += '<a id="" href="' + ruta2 + '" class="btn btn-xs btn-flat btn-info" target="_blank"><i class="fa fa-arrow-circle-up"></i>' + img2 + '</a>';
    imagen2 += '</div>';

    // var imagen1 = '<div id="mostrar_cv" border: green 1px solid">';
    // imagen1 += '<span class="label label-success">Imagen 1 repuesto: ' + img1 + ' </span>';
    // imagen1 += '<div class="pull-right">';
    // imagen1 += '<a href="' + ruta + '" download="' + img1 + '" class="btn btn-xs btn-flat btn-info" id="descargarCurriculum">Ver <i class="fa fa-eye"></i></a>';
    // imagen1 += ' <button onclick="return reemplazar_img1()" type="button" class="btn btn-xs btn-flat btn-primary" id="reemplazarCurriculum">Reemplazar <i class="fa fa-upload"></i></button>'
    // imagen1 += ' </div >';
    // imagen1 += ' </div >';





    $('#inspecciones_sugerencia_id_e').val(inspecciones_sugerencia_id);
    $('#nInsSugRepuesto_e').val(repuesto);
    $('#nInsSugCantidad_e').val(cantidad);
    $('#nInsSugCodigo_e').val(codigo);
    $("#sInsSugFoto1_e").append(imagen1);
    $("#sInsSugFoto2_e").append(imagen2);
    $('#id_lista').val(id_row);

    $('#editar_repuesto').modal('show');
}

function editar_repuesto_ok() {
    var id_row = $('#id_lista').val();


    $('#row_repuesto_' + id_row).children()[6].innerHTML = $('#inspecciones_sugerencia_id_e').val();
    $('#row_repuesto_' + id_row).children()[3].innerHTML = $('#nInsSugRepuesto_e').val();
    $('#row_repuesto_' + id_row).children()[2].innerHTML = $('#nInsSugCantidad_e').val();
    $('#row_repuesto_' + id_row).children()[1].innerHTML = $('#nInsSugCodigo_e').val();

    $('#editar_repuesto').modal('hide');
    $('FrmEditarRepuesto').trigger('reset');
}

function reemplazar_img1() {
    //funcion en diseno
    if (confirm('Esta acción reemplazará la imagen, ¿desea continuar?')) {
        $('#sInsSugFoto1_e').fadeOut('fast');
        $('#subida_img1').fadeIn('slow');
    }
}

function EliminarPregunta() {

    var Id_inspeccion = $('#Id_inspeccion').val();
    var Pregunta_Id = $('#Pregunta_Id').val();

    $.post('?c=inspecciones&a=EliminarPregunta', {
        Id_inspeccion: Id_inspeccion,
        Pregunta_Id: Pregunta_Id
    }, function (data) {
        window.location.reload();
        // editarDetalle(Id_inspeccion);


    });

}



