            <style>label.error { color: red; }</style>
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Programación mantenimiento
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar Programación de mantenimiento</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmProgramacion">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-6">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    <!-- Date range -->
                                    <div class="form-group col-sm-12">
                                        <label>Fecha mantenimiento</label>
                                        <input type="hidden" id="Programacion_Id" name="Programacion_Id" value="<?php echo isset($r) ? $r->__GET("Programacion_Id") : '0'; ?>">
                                        <input type="date" name="dProFecha" id="dProFecha" class="form-control" placeholder="Codigo SAP"
                                            value="<?php echo isset($r) ? $r->__GET('dProFecha'): '' ?>" />
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Equipo</label>
                                        <select class="form-control" name="nProEquipo_Id" id="nProEquipo_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($equipos as $e): ?>
                                                <option value="<?php echo $e->__get('Equipo_Id') ?>"
                                                    <?php echo isset($r) && $r->__get('nProEquipo_Id') == $e->__get('Equipo_Id') ? 'selected' : null ?>
                                                ><?php echo $e->__get('sEqActivoFijo') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Técnico</label>
                                        <select class="form-control" name="nProTecnico_Id" id="nProTecnico_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($tecnicos as $t):?>
                                                <option value="<?php echo $t->__get('nUsuId') ?>"
                                                    <?php echo isset($r) && $r->__get('nProTecnico_Id') == $t->__get('nUsuId') ? 'selected' : null ?>
                                                ><?php echo $t->__get('sUsuNombre') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="form-group col-sm-12">
                                        <label>Plantilla de Mantenimiento</label>
                                        <select class="form-control" name="nProPlantilla_Id" id="nProPlantilla_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($plantillas as $p): ?>
                                                <option value="<?php echo $p->__get('Plantilla_Id') ?>"
                                                    <?php echo isset($r) && $r->__get('nProPlantilla_Id') == $p->__get('Plantilla_Id') ? 'selected' : null ?>
                                                ><?php echo $p->__get('sPlaNombre') . ' - ' . $p->__get('Tipo') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="button" id="btn-save-programacion" class="btn btn-primary btn-flat">
                                        Guardar <?php echo isset($r) && $r->__get('Programacion_Id') != 0 ? 'cambios' : 'información' ?> 
                                    </button>
                                    <a class="btn btn-danger btn-flat" href="?c=ProgMantenimiento&a=Index">Cancelar</a>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->
            <script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
            <script type="text/javascript" src="view/librerias/dist/js/funcionesProgMantenimiento.js"></script>
            <script type="text/javascript">
                $('#nProEquipo_Id').selectpicker('refresh')
                $('#nProTecnico_Id').selectpicker('refresh')
                $('#nProPlantilla_Id').selectpicker('refresh')
            </script>