        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Clientes
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Cliente</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <h3 class="box-title">Relación completa de Clientes</h3>
                            <?php 
                            switch($_SESSION['usu_tipo']){ 
                                case '1':
                                case '2':
								case '3':
								case '4':
                                case '11':
                            ?>
                            <div class="row">
                                <div class="col-md-6 text-left" style="margin-top: 15px;">
                                    <a class="btn btn-primary btn-flat" onclick="FrmGuardarCliente();">Nuevo Cliente</a>
                                    
                                </div>
                            </div>
                            <?php } ?>
                                
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <th>DNI/RUC</th>
                                        <th>C&oacute;digo</th>
                                        <th>Nombre</th>
                                        <th>Tel&eacute;fono</th>
                                        <th>Contacto</th>
										<th>Ejecutivo Comercial</th>
                                        <th>Estado</th>
                                        <th>Operaciones</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($clientes as $r): ?>                    
                                        <tr> 
                                            <td><?php echo $r->__GET('sCliRUCDNI'); ?></td>
                                            <td><?php echo $r->__GET('sCliCodigo'); ?></td>
                                            <td><?php echo $r->__GET('sCliNombre'); ?></td>
                                            <td><?php echo $r->__GET('sCliTelefono'); ?></td>
                                            <td><?php echo $r->__GET('sCliContacto'); ?></td>
											<td><?php echo $r->__GET('sCliEjecComercial'); ?></td>
                                            <td>
                                                <?php
                                                if ($r->__GET('nCliEstado') != 0) {
                                                    ?>
                                                    <span class="label label-success">Habilitado</span>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <span class="label label-danger">Inhabilitado</span>
                                                    <?php
                                                }
                                                ?>
                                            </td>
                                            <td>

                                                <?php 
                                                switch($_SESSION['usu_tipo']){ 
                                                    case '1':
                                                    case '2':
													case '3':
                                                    case '5':
                                                    case '4':
                                                ?>
                                                <a class="btn btn-info btn-xs" onclick="mostrarCliente('<?php echo $r->__GET('Cliente_Id'); ?>');" title="Ver detalles" data-toggle="modal" data-target="#modal-ver"><i class="fa fa-eye"></i></a>
                                                <?php } ?>

                                                <?php 
                                                switch($_SESSION['usu_tipo']){ 
                                                    case '1':
                                                    case '2':
													case '3':
                                                    case '5':
                                                ?>
                                                <a class="btn btn-primary btn-xs" title="Editar" onclick="FrmEditarCliente('<?php echo $r->__GET('Cliente_Id'); ?>');"><i class="fa fa-pencil"></i></a>
                                                <?php } ?>

                                                <?php 
                                                switch($_SESSION['usu_tipo']){ 
                                                    case '1':
                                                    case '2':
													case '3':
                                                    case '5':
                                                ?>
                                                <button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Cliente_Id'); ?>"><i class="fa fa-trash-o"></i></button>
                                                <?php } ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>DNI/RUC</th>
                                        <th>C&oacute;digo</th>
                                        <th>Nombre</th>
                                        <th>Tel&eacute;fono</th>
                                        <th>Contacto</th>
										<th>Ejecutivo Comercial</th>
                                        <th>Estado</th>
                                        <th>Operaciones</th>
                                    </tr>
                                </tfoot>
                            </table>

                            <!-- Modal modeal-ver -->
                            <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <form action="?c=Cliente&a=PDFCliente" method="POST" target="_blank">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                                <h4 class="modal-title" id="modal-ver-label">Registro de Cliente</h4>
                                            </div>
                                            <div class="modal-body">
                                                <table class="table table-striped" id="ver_datos">
                                                    <thead>
                                                        <tr>
                                                            <th>Cargando datos...</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                            <div class="modal-footer">
                                                <!--<button type="submit" class="btn btn-danger" formtarget="_blank"><i class="fa fa-print"></i>&nbsp;Imprimir</button>-->
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /Modal modal-ver -->

                            <!-- Modal modal-eliminar -->
                            <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <form action="?c=Cliente&a=EliminarCliente" method="POST">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                                <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                            </div>
                                            <div class="modal-body">
                                                <input type="hidden" name="idCliente" id="idCliente" value="">
                                                ¿Estás seguro que desea eliminar?
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                                <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /Modal modal-eliminar -->

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        <!-- Modal modal-subir -->
        <div class="modal fade" id="modal-importar-excel" tabindex="-1" role="dialog" aria-labelledby="modal-importar-excel-label" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="?c=Cliente&a=ImportarExcel" method="POST" enctype="multipart/form-data" id="FrmImportarExcel">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h4 class="modal-title" id="modal-eliminar-label">Importar Excel</h4>
                        </div>
                        <div class="modal-body">                            
                            <div class="form-group">
                                <div class="alert alert-info alert-dismissible" role="alert">
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                    <strong>Info! </strong>, Tener en cuenta el formato del excel. <a href="view/librerias/dist/excel/formato_cliente.xlsx" target="_blank"><b>¡Descargar Formato aqui!</b></a>
                                </div>
                                <label for="lbImportar">¿Estás seguro que desea Importar excel?</label>
                                <input type="file" id="excel_clientes" name="excel_clientes">
                                <p class="help-block">Solo esta permitido archivos de tipo excel.</p>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary" id="click-disabled" data-loading-text="Cargando..." autocomplete="off">Si, Importar</button>
                            <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- /Modal modal-eliminar -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesCliente.js"></script>
        <script type="text/javascript">
            $(function() {
                jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? -1 : ((x > y) ? 1 : 0));
                };

                jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? 1 : ((x > y) ? -1 : 0));
                };
                $("#example1").dataTable({
                    "aLengthMenu": [
                        [10, 15, 25, 50, 100, -1],
                        [10, 15, 25, 50, 100, "All"]
                    ],
                    "iDisplayLength": 10,
                    "oLanguage": {
                        "sLengthMenu": "_MENU_ Records per page",
                        "sInfo": "_START_ - _END_ of _TOTAL_",
                        "sInfoEmpty": "0 - 0 of 0",
                        "oPaginate": {
                            "sPrevious": "Prev",
                            "sNext": "Next"
                        }
                    },
                    "aaSorting": [[0,'asc']]
                });
            });
            $('#modal-eliminar').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget); // Button that triggered the modal
                var recipient = button.data('codigo'); // Extract info from data-* attributes

                // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
                // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
                var modal = $(this);
                modal.find('.modal-body input').val(recipient);
            });
            $("#click-disabled").click(function(e){
                
                $(this).attr("disabled", true);
                $(this).html("Cargando...");
                $("#FrmImportarExcel").submit()
            });
        </script>
