<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Contratos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Contratos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de contratos</h3>

                    <div class="row">
                        <?PHP
                        switch ($_SESSION['usu_tipo']) {
                            case '1':
                            case '2':
                            case '3':
                            case '10':
                        ?>
                                <div class="col-md-6 text-left" style="margin-top: 15px;">
                                    <a class="btn btn-primary btn-flat" onclick="FrmGuardarContrato();">Nuevo contrato</a>
                                    <a href="view/webforms/exportar_contratos.php" class="btn btn-success">Exportar a Excel</a>
                                </div>
                        <?PHP } ?>
                    </div>

                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Número</th>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Inicio</th>
                                <th>Término</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach($contratos as $r): ?>
                                <tr>
                                    <td><?php echo $r->__get('sConNumero') ?></td>
                                    <td><?php echo $r->__get('dConFecha') ?></td>
                                    <td><?php echo $r->__get('sCliNombre') ?></td>
                                    <td><?php echo $r->__get('dConFechaInicio') ?></td>
                                    <td><?php echo $r->__get('dConFechaTermino') ?></td>
                                    <td>
                                        <a class="btn btn-info btn-xs" onclick="mostrarContrato('<?php echo $r->__get('Contrato_Id'); ?>')" title="Ver detalle" data-toggle="modal" data-target="#modal-ver"><i class="fa fa-eye"></i></a>
                                        <a class="btn btn-primary btn-xs" onclick="FrmEditarContrato('<?php echo $r->__get('Contrato_Id') ?>')" title="Editar"><i class="fa fa-pencil"></i></a>
                                        <button type="button" class="btn btn-danger btn-xs" title="Elimnar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__get('Contrato_Id') ?>"><i class="fa fa-trash-o"></i></button>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Número</th>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Inicio</th>
                                <th>Término</th>
                                <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form method="POST" target="_blank">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Contrato</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">
                                            <tr>
                                                <td>Cargando datos</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Contrato&a=EliminarContrato" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="idContrato" id="idContrato" value="">
                                        ¿Estás seguro que desea eliminar?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesContrato.js"></script>
<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable();
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>