<?php
class ClientesModel
{
    private $pdo;
    function __CONSTRUCT()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /* procedimineto de acceso anterior */
    public function Autenticar($sCliUsuario, $sCliPassword)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_cliAutentica('$sCliUsuario', '$sCliPassword')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigo', $r->sCliCodigo);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliContacto', $r->sCliContacto);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            $_SESSION['usu_tipo'] = "5";
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*em 11-01-2020 nueva autenticacion */
    public function AutenticarCliUsu($sCliUsuario, $sCliPassword)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_usuAutentica('$sCliUsuario', '$sCliPassword')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->cliente_usuario_id);
                $cli->__SET('sCliNombre', $r->sCliUsuUsuario);
                $cli->__SET('sCliUsuario', $r->sCliUsuUsuario);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuUsuario_Id);
                $cli->__SET('nCliEstado', $r->nCliUsuEstado);
                $cli->__SET('nCliOculto', $r->nCliUsuEliminado);
                /*
                $cli->__SET('Cliente_Id', $r->cliente_Id);
                $cli->__SET('sCliCodigo', $r->sCliCodigo);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliContacto', $r->sCliContacto);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
				*/
                $result[] = $cli;
            }
            $_SESSION['usu_tipo'] = "2";
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Verificar($sCliCodigoSAP)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_verificar('$sCliCodigoSAP')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigoSAP', $r->sCliCodigoSAP);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                $cli->__SET('sCliCodPais', $r->sCliCodPais);
                $cli->__SET('sCliPais', $r->sCliPais);
                $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                $cli->__SET('sCliProvincia', $r->sCliProvincia);
                $cli->__SET('sCliDistrito', $r->sCliDistrito);
                $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('sCliGrupoCli', $r->sCliGrupoCli);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Listar()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listar(0)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigo', $r->sCliCodigo);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliContacto', $r->sCliContacto);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $cli->__SET('sCliCorreo', $r->sCliCorreo);
                $cli->__SET('sCliEjecComercial', $r->sCliEjecComercial);
                $cli->__SET('sCliCorreoEjecCom', $r->sCliCorreoEjecCom);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function ListarDis($Distribuidor_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listarDistribuidor(0,$Distribuidor_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('nCliDistribuidor_Id', $r->nCliDistribuidor_Id);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                $cli->__SET('sCliCodPais', $r->sCliCodPais);
                $cli->__SET('sCliPais', $r->sCliPais);
                $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                $cli->__SET('sCliProvincia', $r->sCliProvincia);
                $cli->__SET('sCliDistrito', $r->sCliDistrito);
                $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $cli->__SET('sDisNombre', $r->sDisNombre);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Buscar($Cliente_Id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listar($Cliente_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigo', $r->sCliCodigo);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliContacto', $r->sCliContacto);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $cli->__SET('sCliCorreo', $r->sCliCorreo);
                $cli->__SET('sCliEjecComercial', $r->sCliEjecComercial);
                $cli->__SET('sCliCorreoEjecCom', $r->sCliCorreoEjecCom);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Crear(Clientes $data)
    {
        try {
            $Cliente_Id = 0;
            $stm = $this->pdo->prepare("CALL cli_crear(?,?,?,?,?,?,?,?,?,?,?,?,?, @Cliente_Id)");
            $stm->execute(array(
                $data->__get('sCliCodigo'),
                $data->__get('sCliNombre'),
                $data->__get('sCliRUCDNI'),
                $data->__get('sCliTelefono'),
                $data->__get('sCliContacto'),
                $data->__get('sCliUsuario'),
                $data->__get('sCliPassword'),
                $data->__get('nCliEstado'),
                $data->__get('nCliOculto'),
                $data->__get('nCliUsuario_Id'),
                $data->__get('sCliCorreo'),
                $data->__get('sCliEjecComercial'),
                $data->__get('sCliCorreoEjecCom')
            ));

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $Cliente_Id = $r->Cliente_Id;
            }
            return $Cliente_Id;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Editar(Clientes $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL cli_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('Cliente_Id'),
                $data->__get('sCliCodigo'),
                $data->__get('sCliNombre'),
                $data->__get('sCliRUCDNI'),
                $data->__get('sCliTelefono'),
                $data->__get('sCliContacto'),
                $data->__get('sCliUsuario'),
                $data->__get('sCliPassword'),
                $data->__get('nCliEstado'),
                $data->__get('nCliOculto'),
                $data->__get('nCliUsuario_Id'),
                $data->__get('sCliCorreo'),
                $data->__get('sCliEjecComercial'),
                $data->__get('sCliCorreoEjecCom')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Eliminar(Clientes $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL cli_eliminar(?)");
            $stm->execute(array($data->__get('Cliente_Id')));
            echo "Se elimino correctamente";
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarNombre()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listarNombre(0)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /* em 19-11-20  cheka q exista codigo */
    public function VerificarCodCliExiste($Cliente_Id, $sCliCodigo)
    {
        //,$_POST["sEntVIN"]
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_validarCOD($Cliente_Id,'$sCliCodigo')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $mov = array(
                    'Cliente_Id' => $r->Cliente_Id,
                    'sCliCodigo' => $r->sCliCodigo
                );
                $result[] = $mov;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /* em 19-11-20  cheka q exista codigo */
    public function VerificarRucCliExiste($Cliente_Id, $sCliRUCDNI)
    {
        //,$_POST["sEntVIN"]
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_validarRUCDNI($Cliente_Id,'$sCliRUCDNI')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $mov = array(
                    'Cliente_Id' => $r->Cliente_Id,
                    'sCliRUCDNI' => $r->sCliRUCDNI
                );
                $result[] = $mov;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*--------------------------------------------------------------------------------------------*/
    /* em 07-01-21 */
    public function BuscarCliUsu($Cliente_Id)
    { /*em */
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_usuario_listar($Cliente_Id)");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $cli = new Cliente_usuario();
                $cli->__SET('cliente_usuario_id', $r->cliente_usuario_id);
                $cli->__SET('nCliUsuUsuario_Id', $r->nCliUsuUsuario_Id);
                $cli->__SET('sCliUsuUsuario', $r->sCliUsuUsuario);
                $cli->__SET('sCliUsuContrasena', $r->sCliUsuContrasena);
                $cli->__SET('nCliUsuEstado', $r->nCliUsuEstado);
                $cli->__SET('nCliUsuEliminado', $r->nCliUsuEliminado);
                $cli->__SET('dCliUsuFecha_Act', $r->dCliUsuFecha_Act);

                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function CrearCliUsu(Cliente_usuario $data)
    {  /*em 28-08-2020*/

        try {
            $stm = $this->pdo->prepare("CALL cli_usuario_crear(?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('sCliUsuUsuario'),
                $data->__get('sCliUsuContrasena'),
                $data->__get('nCliUsuEstado'),
                $data->__get('nCliUsuEliminado'),
                // $data->__get('dDisUsuFecha_Act'),
                //$data->__get(null),
                $data->__get('nCliUsuUsuario_Id')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function EditarCliUsu(Cliente_usuario $data)
    { /* em 04-09-20 */
        try {
            $stm = $this->pdo->prepare("CALL cli_usuario_editar(?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('cliente_usuario_id'),
                $data->__get('sCliUsuUsuario'),
                $data->__get('sCliUsuContrasena'),
                $data->__get('nCliUsuEstado'),
                $data->__get('nCliUsuEliminado'),
                $data->__get('nCliUsuUsuario_Id')
            ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}
