<style>label.error { color: red; }

.firma,
.vehiculo{
    display: block;
    width: 100%;
    position:relative;
}
.firma-opts{
    margin-top: 5px;
    display: flex;
    justify-content: center;
}
.firma-opts div:not(:first-child):not(:last-child){
    padding-right: 0;
    padding-left: 0;
}
.firma-opts div:first-child{
    padding-right: 0.5rem;
}
.firma-opts div:last-child{
    padding-left: 0.5rem;
}
canvas{
    display: block;
    width: 50%;
        border:none;
    -webkit-box-sizing: border-box; /* <=iOS4, <= Android  2.3 */
    -moz-box-sizing: border-box; /* FF1+ */
        box-sizing: border-box; /* Chrome, IE8, Opera, Safari 5.1*/
}
.firma>canvas{
    border: 2px dotted black;
}

#table_equipo, #table_equipo2 {
    width: 100% !important;
}

#table_equipo_length {
    display: none;
}

#table_equipo_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
    width: 100% !important;
    display: flex !important;
    justify-content: end;
}

#table_equipo2_wrapper .row:first-of-type .col-xs-6:nth-of-type(2) {
    width: 100% !important;
    display: flex !important;
    justify-content: end;
}

#table_equipo2_length {
    display: none;
}


.spinner {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background: radial-gradient(farthest-side,#474bff 94%,#0000) top/9px 9px no-repeat,
            conic-gradient(#0000 30%,#474bff);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 0);
    animation: spinner-c7wet2 1s infinite linear;
}

@keyframes spinner-c7wet2 {
    100% {
        transform: rotate(1turn);
    }
}

.table + .row {
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    justify-content: center !important;
}

.table + .row > .col-xs-6 {
    width: 100% !important;
    text-align: center;
}

#table_equipo_info {
    display: none;
}

#table_equipo2_info {
    display: none;
}
input[type=checkbox] {
    margin-bottom: 2px;
    margin-left: 2px;
}
</style>

            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    Mantenimiento
                    <small></small>
                </h1>
                <ol class="breadcrumb">
                    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
                    <li class="active">Registrar mantenimiento</li>
                </ol>
            </section>
            <!-- Main content -->
            <section class="content">
                <form role="form" method="POST" id="FrmMant">
                    <div class="row">
                        <!-- left column -->
                        <div class="col-md-12">
                            <div class="box box-primary">
                                <div class="box-header">
                                    <h3 class="box-title">Datos básicos</h3>
                                </div><!-- /.box-header -->
                                <!-- form start -->
                                <div class="box-body row">
                                    <div id="resultado" class="col-sm-12"></div>
                                    
                                    <input type="hidden" id="Mantenimiento_Id" name="Mantenimiento_Id" value="<?php echo isset($r) ? $r->__get('Mantenimiento_Id') : '0'; ?>">
                                    
                                    <div class="form-group col-sm-12">
                                        <button type="button" id="btn-equipos" class="btn btn-primary btn-flat" data-toggle="modal" data-target="#modal-list-product">Lista de Equipos</button>
                                    </div>

                                    <input type="hidden" id="programacionId" name="programacionId"  value="<?php echo isset($r) ? $r->__get('nProgramacion_Id') : '0'; ?>">

                                    <input type="hidden" id="programacionId_old" name="programacionId_old" >

                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Equipo</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control" id="sAFMantenimiento" name="sAFMantenimiento" value="<?php echo isset($r) ? $r->__get('sEqActivoFijo') : '' ?>">
                                            <span class="input-group-addon btn btn-info btn-flat" onclick="buscarEquipo()"><i class='fa fa-search'></i></span>
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-6">
                                        <label>Técnico</label>
                                        <select class="form-control" name="nManTecnico_Id" id="nManTecnico_Id" data-live-search="true">
                                            <option selected disabled>Selecciona</option>
                                            <?php foreach($tecnicos as $t):?>
                                                <option value="<?php echo $t->__get('nUsuId') ?>"
                                                    <?php echo isset($r) && $r->__get('nManTecnico_Id') == $t->__get('nUsuId') ? 'selected' : null ?>
                                                ><?php echo $t->__get('sUsuNombre') ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <label>Datos de Equipo</label>
                                    </div>
                                    <input type="hidden" id="Equipo_Id" name="Equipo_Id" value="<?php echo isset($r) ? $r->__get('nManEquipo_Id') : '' ?>">

                                    <div class="form-group col-sm-12 col-md-4">
                                        <label>Serie</label>
                                        <input type="text" class="form-control" id="sEqSerie" name="sEqSerie" value="<?php echo isset($r) ? $r->__get('sEqSerie') : '' ?>" readonly>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-4">
                                        <label>Modelo</label>
                                        <input type="text" class="form-control" id="sEqModelo" name="sEqModelo" value="<?php echo isset($r) ? $r->__get('sEqModelo') : '' ?>" readonly>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-4">
                                        <label>Tipo</label>
                                        <input type="text" class="form-control" id="sEqTipo" name="sEqTipo" value="<?php echo isset($r) ? $r->__get('Tipo') : '' ?>" readonly>
                                    </div>

                                    <div class="form-group col-sm-12 col-md-3">
                                        <label>Horometro Anterior</label>
                                        <input type="text" class="form-control" id="sManOdometroAnterior" name="sManOdometroAnterior" value="<?php echo isset($r) ? $r->__get('sManOdometroAnterior') : '' ?>" readonly>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-3">
                                        <label>Mantenimiento Anterior</label>
                                        <input type="text" class="form-control" id="sManMantAnterior" name="sManMantAnterior" value="<?php echo isset($r) ? $r->__get('sManMantAnterior') : '' ?>" readonly>
                                    </div>

                                    <div class="form-group col-sm-12 col-md-3">
                                        <label>Horometro Actual</label>
                                        <div class="input-group">
                                            <input type="text" class="form-control" id="sManOdometroActual" name="sManOdometroActual" value="<?php echo isset($r) ? $r->__get('sManOdometroActual') : '' ?>">
                                            <span class="input-group-addon btn btn-info btn-flat" onclick="buscarMantenimientoOdo()"><i class='fa fa-search'></i></span>
                                        </div>
                                    </div>
                                    <div class="form-group col-sm-12 col-md-3">
                                        <label>Mantenimiento Actual</label>
                                        <input type="hidden" name="Plantilla_Id" id="Plantilla_Id" value="<?php echo isset($r) ? $r->__get('nManPlantilla_Id') : '' ?>">
                                        <div class="input-group">
                                            <input type="text" class="form-control" id="sManMantActual" name="sManMantActual" value="<?php echo isset($r) ? $r->__get('sManMantActual') : '' ?>">
                                            <span class="input-group-addon btn btn-info btn-flat" onclick="buscarMantenimientoAct()"><i class='fa fa-search'></i></span>
                                        </div>
                                    </div>

                                    <div class="form-group col-sm-12">
                                        <h3>Detalle</h3>
                                    </div>

                                    <div class="col-sm-12" style="margin-bottom: 0px;">
                                        <h4>Evaluaci&oacute;n Mec&aacute;nica</h4>
                                    </div>

                                    <div class="col-sm-12" style="margin-bottom: 0px;">
                                    <form id="FrmEditarInspeccion_EvMecanica" role="form" onsubmit="return false;">
                                        <table class="table table-bordered table-condensed" id="tableTareas">
                                            <thead>
                                                <tr class="active">
                                                    <th>Nº</th>
                                                    <th>Descripci&oacute;n</th>
                                                    <th>
                                                        <div style="display: flex; justify-content: center; align-items: center;">
                                                            Reem.
                                                            <input type="checkbox" name="selectedAll" id="selectedAllReem" style="display: block; margin-left: 2px;">
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div style="display: flex; justify-content: center; align-items: center;">
                                                        Oper.
                                                            <input type="checkbox" name="selectedAll" id="selectedAllOper" style="display: block; margin-left: 2px;">
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div style="display: flex; justify-content: center; align-items: center;">
                                                        Prog.
                                                            <input type="checkbox" name="selectedAll" id="selectedAllProg" style="display: block; margin-left: 2px;">
                                                        </div>
                                                    </th>
                                                    <th>
                                                        <div style="display: flex; justify-content: center; align-items: center;">
                                                        Corr.
                                                            <input type="checkbox" name="selectedAll" id="selectedAllCorr" style="display: block; margin-left: 2px;">
                                                        </div>
                                                    </th>
                                                    <th>Cantidad</th>
                                                    <th>Nº Parte</th>
                                                    <th>Fecha</th>
                                                    <th>Observaci&oacute;n</th>
                                                    <th>Adjunto</th>
                                                    <th>#</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                if (isset($items)) {
                                                    $groupedItems = [];

                                                foreach($items as $item) {
                                                        $groupedItems[$item->sSisNombre][] = $item;
                                                }
                                                ?>
                                                    <?php 
                                                        foreach($groupedItems as $sisNombre => $group) {
                                                            $index = 1;
                                                     ?>
                                                        <tr>
                                                            <th colspan="12" class="active text-center"><?= $sisNombre ?></th>
                                                        </tr>
                                                    <?php
                                                        foreach($group as $value) {
                                                    ?>
                                                        <tr class="evmecanica_row evmecanica_row_<?= $value->Sistema_Id ?>">
                                                        <td style="display:none" aria-pregunta="<?= $value->Tarea_Id ?>"><?= $value->Tarea_Id ?></td>
                                                        <td><?= $index ?></td>
                                                        <td><?= $value->sTarNombre ?></td>
                                                        <td style="background-color: #dadcd9" class="text-center">
                                                            <input value="R" type="checkbox" class="check_r" name="respuesta_<?= $value->Tarea_Id ?>" <?= ($value->Reemplazado == 'X') ? 'checked' : '' ?> />
                                                        </td>
                                                        <td style="background-color: #6cfc58" class="text-center">
                                                            <input value="O" type="checkbox" class="check_o" name="respuesta_<?= $value->Tarea_Id ?>" <?= ($value->Operativo == 'X') ? 'checked' : '' ?> />
                                                        </td>
                                                        <td style="background-color: #f8ff85" class="text-center">
                                                            <input value="P" type="checkbox" class="check_p" name="respuesta_<?= $value->Tarea_Id ?>" <?= ($value->Programar == 'X') ? 'checked' : '' ?> />
                                                        </td>
                                                        <td style="background-color: #fe5d5d" class="text-center">
                                                            <input value="C" type="checkbox" class="check_c" name="respuesta_<?= $value->Tarea_Id ?>" <?= ($value->Correctivo == 'X') ? 'checked' : '' ?> />
                                                        </td>
                                                        <td class="text-center">
                                                            <input class="form-control input-sm" type="number" name="nPreCantidad_<?= $value->Tarea_Id ?>" value="<?= $value->nMDCantidad ?>">
                                                        </td>
                                                        <td class="text-center">
                                                            <input class="form-control input-sm" type="text" name="nPreNroParte_<?= $value->Tarea_Id ?>" value="<?= $value->nMDParte ?>">
                                                        </td>
                                                        <td class="text-center">
                                                            <input class="form-control input-sm" type="date" name="dPreFecha_<?= $value->Tarea_Id ?>" value="<?php echo $value->dMDFecha != null ? $value->dMDFecha : date("Y-m-d") ?>">
                                                        </td>
                                                        <td class="text-center">
                                                            <input class="form-control input-sm" type="text" maxlength="250" name="nPrePreObservaciones_<?= $value->Tarea_Id ?>" value="<?= $value->sMDObservacion ?>">
                                                        </td>
                                                        <td class="text-center">
                                                            <?php
                                                                if ($value->sAdjunto != "") {
                                                                    $ruta = './view/librerias/dist/mantenimientos_img/';
                                                            ?>
                                                                <a href="<?php echo $ruta . $value->sAdjunto ?>" class="btn btn-xs btn-flat btn-info mb-2" target="_blank" id="image_load_<?= $value->Tarea_Id ?>">
                                                                    Ver Adjunto <i class="fa fa-arrow-circle-up"></i>
                                                                </a>
                                                            <?php
                                                                }
                                                            ?>
                                                            <input type="hidden" name="sNombreImg_<?= $value->Tarea_Id ?>" id="sNombreImg_<?= $value->Tarea_Id ?>" value="<?php echo $value->sAdjunto ?>">
                                                            <input type="file" class="form-control input-sm" accept="image/jpeg, image/jpg, image/png, image/webp, image/ico" id="sImgAdj_<?= $value->Tarea_Id ?>" name="sImgAdj_<?= $value->Tarea_Id ?>" onchange="GuardarImgAdj('<?= $value->Tarea_Id ?>')">
                                                        </td>
                                                        <td class="text-center">
                                                            <a href="#" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#eliminar_pregunta" data-codigo="<?= $value->Tarea_Id ?>" data-inspeccion="<?= $Inspeccion_Id ?>">
                                                                <i class="fa fa-trash-o"></i>
                                                            </a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                            $index++;
                                                       }
                                                    ?>
                                                <?php  }
                                                } ?>
                                            </tbody>
                                        </table>
                                    </form>
                                </div>
                                
                                <div class="clearfix">&nbsp;</div>
                                <div class="col-sm-12" style="margin-bottom: 0px;">
                                    <h3>Evaluaci&oacute;n El&eacute;ctrica</h3>
                                </div>
                                <div class="col-sm-12" style="margin-bottom: 0px;">
                                    <form id="FrmEditarInspeccion_EvElectrica" onsubmit="return false;">
                                        <table id="tabla_evaluacion_electrica" class="table table-condensed table-bordered text-center">
                                            <thead>
                                                <tr>
                                                    <th colspan="11" class="active">Medición de rigidez dieléctrica Alternador</th>
                                                </tr>
                                                <tr>
                                                    <th colspan="5" class="active">Megometro selección de voltaje de prueba</th>
                                                    <th class="active">500VDC</th>
                                                    <td class="text-center">
                                                        <input type="checkbox" class="voltaje" aria-seleccion="quinientos" value="quinientos" <?= (($detalle2[0]['quinientos'] == 'X') ? 'checked' : '') ?> />
                                                    </td>
                                                    <th class="active">1000VDC</th>
                                                    <td class="text-center">
                                                        <input type="checkbox" class="voltaje" aria-seleccion="mil" value="mil" <?= (($detalle2[0]['mil'] == 'X') ? 'checked' : '') ?> />
                                                    </td>
                                                    <th class="active">Serie de Meger</th>
                                                    <td>
                                                        <input type="text" name="sMegSerie" id="sMegSerie" maxlength="20" value="<?= $detalle2[0]['sMegSerie'] ?>" />
                                                    </td>
                                                </tr>
                                                <tr class="active">
                                                    <th>&nbsp;</th>
                                                    <th>Bobvina / VS</th>
                                                    <th>T1</th>
                                                    <th>T2</th>
                                                    <th>T3</th>
                                                    <th>T7</th>
                                                    <th>T8</th>
                                                    <th>T9</th>
                                                    <th>Tierra</th>
                                                    <th>Valor de servicio</th>
                                                    <th>Observaciones</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td style="text-align:center" class="active"></td>
                                                    <th class="active" style="text-align:center">T1</th>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1T2" id="nMegT1T2" value="<?= $detalle2[0]['nMegT1T2'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1T3" id="nMegT1T3" value="<?= $detalle2[0]['nMegT1T3'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1T7" id="nMegT1T7" value="<?= $detalle2[0]['nMegT1T7'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1T8" id="nMegT1T8" value="<?= $detalle2[0]['nMegT1T8'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1T9" id="nMegT1T9" value="<?= $detalle2[0]['nMegT1T9'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1Trr" id="nMegT1Trr" value="<?= $detalle2[0]['nMegT1Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT1Val" id="nMegT1Val" value="<?= $detalle2[0]['nMegT1Val'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="sMegT1Obs" id="sMegT1Obs" maxlength="256" value="<?= $detalle2[0]['sMegT1Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th class="active"></th>
                                                    <th class="active" style="text-align:center">T2</th>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2T1" id="nMegT2T1" value="<?= $detalle2[0]['nMegT2T1'] ?>" /></td>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2T3" id="nMegT2T3" value="<?= $detalle2[0]['nMegT2T3'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2T7" id="nMegT2T7" value="<?= $detalle2[0]['nMegT2T7'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2T8" id="nMegT2T8" value="<?= $detalle2[0]['nMegT2T8'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2T9" id="nMegT2T9" value="<?= $detalle2[0]['nMegT2T9'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2Trr" id="nMegT2Trr" value="<?= $detalle2[0]['nMegT2Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT2Val" id="nMegT2Val" value="<?= $detalle2[0]['nMegT2Val'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="sMegT2Obs" id="sMegT2Obs" maxlength="256" value="<?= $detalle2[0]['sMegT2Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th class="active"></th>
                                                    <th class="active" style="text-align:center">T3</th>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3T1" id="nMegT3T1" value="<?= $detalle2[0]['nMegT3T1'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3T2" id="nMegT3T2" value="<?= $detalle2[0]['nMegT3T2'] ?>" /></td>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3T7" id="nMegT3T7" value="<?= $detalle2[0]['nMegT3T7'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3T8" id="nMegT3T8" value="<?= $detalle2[0]['nMegT3T8'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3T9" id="nMegT3T9" value="<?= $detalle2[0]['nMegT3T9'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3Trr" id="nMegT3Trr" value="<?= $detalle2[0]['nMegT3Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT3Val" id="nMegT3Val" value="<?= $detalle2[0]['nMegT3Val'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="sMegT3Obs" id="sMegT3Obs" maxlength="256" value="<?= $detalle2[0]['sMegT3Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th class="active"></th>
                                                    <th class="active" style="text-align:center">T7</th>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7T1" id="nMegT7T1" value="<?= $detalle2[0]['nMegT7T1'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7T2" id="nMegT7T2" value="<?= $detalle2[0]['nMegT7T2'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7T3" id="nMegT7T3" value="<?= $detalle2[0]['nMegT7T3'] ?>" /></td>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7T8" id="nMegT7T8" value="<?= $detalle2[0]['nMegT7T8'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7T9" id="nMegT7T9" value="<?= $detalle2[0]['nMegT7T9'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7Trr" id="nMegT7Trr" value="<?= $detalle2[0]['nMegT7Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT7Val" id="nMegT7Val" value="<?= $detalle2[0]['nMegT7Val'] ?>" /></td>
                                                    <td style="width: 20%; text-align: center;"><input type="text" class="form-control input-sm" name="sMegT7Obs" id="sMegT7Obs" maxlength="256" value="<?= $detalle2[0]['sMegT7Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th style="width: 5%" class="active"></th>
                                                    <th class="active" style="text-align:center">T8</th>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8T1" id="nMegT8T1" value="<?= $detalle2[0]['nMegT8T1'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8T2" id="nMegT8T2" value="<?= $detalle2[0]['nMegT8T2'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8T3" id="nMegT8T3" value="<?= $detalle2[0]['nMegT8T3'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8T7" id="nMegT8T7" value="<?= $detalle2[0]['nMegT8T7'] ?>" /></td>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8T9" id="nMegT8T9" value="<?= $detalle2[0]['nMegT8T9'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8Trr" id="nMegT8Trr" value="<?= $detalle2[0]['nMegT8Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT8Val" id="nMegT8Val" value="<?= $detalle2[0]['nMegT8Val'] ?>" /></td>
                                                    <td style="width: 20%; text-align: center;"><input type="text" class="form-control input-sm" name="sMegT8Obs" id="sMegT8Obs" maxlength="256" value="<?= $detalle2[0]['sMegT8Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th class="active"></th>
                                                    <th class="active" style="text-align:center">T9</th>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9T1" id="nMegT9T1" value="<?= $detalle2[0]['nMegT9T1'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9T2" id="nMegT9T2" value="<?= $detalle2[0]['nMegT9T2'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9T3" id="nMegT9T3" value="<?= $detalle2[0]['nMegT9T3'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9T7" id="nMegT9T7" value="<?= $detalle2[0]['nMegT9T7'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9T8" id="nMegT9T8" value="<?= $detalle2[0]['nMegT9T8'] ?>" /></td>
                                                    <td class="active"></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9Trr" id="nMegT9Trr" value="<?= $detalle2[0]['nMegT9Trr'] ?>" /></td>
                                                    <td style="text-align:center"><input type="text" class="form-control input-sm" name="nMegT9Val" id="nMegT9Val" value="<?= $detalle2[0]['nMegT9Val'] ?>" /></td>
                                                    <td style="width: 20%; text-align: center;"><input type="text" class="form-control input-sm" name="sMegT9Obs" id="sMegT9Obs" maxlength="256" value="<?= $detalle2[0]['sMegT9Obs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2" class="active">Estator de excitatriz</th>
                                                    <td colspan="6" class="active"></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegEstExcTrr" id="nMegEstExcTrr" value="<?= $detalle2[0]['nMegEstExcTrr'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegEstExcVal" id="nMegEstExcVal" value="<?= $detalle2[0]['nMegEstExcVal'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="sMegEstExcObs" id="sMegEstExcObs" maxlength="256" value="<?= $detalle2[0]['sMegEstExcObs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2" class="active">Rotor de principal</th>
                                                    <td colspan="6" class="active"></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegRotPplTrr" id="nMegRotPplTrr" value="<?= $detalle2[0]['nMegRotPplTrr'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegRotPplVal" id="nMegRotPplVal" value="<?= $detalle2[0]['nMegRotPplVal'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="sMegRotPplObs" id="sMegRotPplObs" maxlength="256" value="<?= $detalle2[0]['sMegRotPplObs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2" class="active">Rotor de excitatriz</th>
                                                    <td colspan="6" class="active"></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegRotExcTrr" id="nMegRotExcTrr" value="<?= $detalle2[0]['nMegRotExcTrr'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegRotExcVal" id="nMegRotExcVal" value="<?= $detalle2[0]['nMegRotExcVal'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="sMegRotExcObs" id="sMegRotExcObs" maxlength="256" value="<?= $detalle2[0]['sMegRotExcObs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2" class="active">PMG</th>
                                                    <td colspan="6" class="active"></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegPgmTrr" id="nMegPgmTrr" value="<?= $detalle2[0]['nMegPgmTrr'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="nMegPgmVal" id="nMegPgmVal" value="<?= $detalle2[0]['nMegPgmVal'] ?>" /></td>
                                                    <td><input type="text" class="form-control input-sm" name="sMegPgmObs" id="sMegPgmObs" maxlength="256" value="<?= $detalle2[0]['sMegPgmObs'] ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th colspan="2" class="active">Recomendaciones</th>
                                                    <td colspan="9" class="active"><input type="text" class="form-control input-sm" name="sMegObservacion" id="sMegObservacion" maxlength="256" value="<?= $detalle2[0]['sMegObservacion'] ?>" /></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </form>
                                </div>
                                <div class="clearfix">&nbsp;</div>

                                <div class="col-sm-12" style="margin-bottom: 0px;">
                                    <h3>Evaluaci&oacute;n de Diodos</h3>
                                </div>
                                <div class="col-sm-12" style="margin-bottom: 0px;">
                                    <form id="FrmEditarInspeccion_EvDiodos" onsubmit="return false;">
                                        <table class="table table-bordered table-condensed text-center">
                                            <tbody>
                                                <tr>
                                                    <th colspan="11" class="active">Evaluaci&oacute;n de Diodos</th>

                                                </tr>
                                                <tr>
                                                    <td class="active text-center">&nbsp;</td>
                                                    <td class="active text-center">Diodos</td>
                                                    <td class="active text-center">1</td>
                                                    <td class="active text-center">2</td>
                                                    <td class="active text-center">3</td>
                                                    <td class="active text-center">Valor</td>
                                                </tr>
                                                <tr>
                                                    <td class="active text-center">&nbsp;</td>
                                                    <td class="active text-center">Directo</td>
                                                    <td>
                                                        <select class="form-control" id="directo_1" name="directo_1">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sDirecto01'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sDirecto01'] == 'No' or $detalle2diodos[0]['sDirecto01'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <select class="form-control" id="directo_2" name="directo_2">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sDirecto02'] == 'OK') ? 'selected' : '' : ''?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sDirecto02'] == 'No' or $detalle2diodos[0]['sDirecto02'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <select class="form-control" id="directo_3" name="directo_3">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ?  ($detalle2diodos[0]['sDirecto03'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ?  ($detalle2diodos[0]['sDirecto03'] == 'No' or $detalle2diodos[0]['sDirecto03'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td class="active text-center">0.469</td>
                                                </tr>
                                                <tr>
                                                    <td class="active text-center">&nbsp;</td>
                                                    <td class="active text-center">Inverso</td>
                                                    <td>
                                                        <select class="form-control" id="inverso_1" name="inverso_1">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ?  ($detalle2diodos[0]['sInverso01'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ?  ($detalle2diodos[0]['sInverso01'] == 'No' or $detalle2diodos[0]['sInverso01'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <select class="form-control" id="inverso_1" name="inverso_2">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sInverso02'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sInverso02'] == 'No' or $detalle2diodos[0]['sInverso02'] == 'off') ? 'selected' : '': '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <select class="form-control" id="inverso_3" name="inverso_3">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sInverso03'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sInverso03'] == 'No' or $detalle2diodos[0]['sInverso03'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td class="active text-center">0.469</td>
                                                </tr>
                                                <tr>
                                                    <td class="active text-center">&nbsp;</td>
                                                    <td class="active text-center">Varistor</td>
                                                    <td colspan="3">
                                                        <select class="form-control" id="varistor" name="varistor">
                                                            <option value="1" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sVaristor'] == 'OK') ? 'selected' : '' : '' ?>>OK</option>
                                                            <option value="0" <?php echo isset($detalle2diodos[0]) ? ($detalle2diodos[0]['sVaristor'] == 'No' or $detalle2diodos[0]['sVaristor'] == 'off') ? 'selected' : '' : '' ?>>NO</option>
                                                        </select>
                                                    </td>
                                                    <td class="active text-center">Infinito</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </form>
                                    <form id="FrmEditarInspeccion_PruebaConCarga" onsubmit="return false;">
                                        <table class="table table-bordered table-condesed text-center">
                                        <tbody>
                                                <tr>
                                                    <th colspan="11" class="text-center active">Prueba con carga de grupo electr&oacute;geno</th>
                                                </tr>
                                                <tr>
                                                    <th class="active">&nbsp;</th>
                                                    <th class="active">Registro de datos</th>
                                                    <th class="active">Inicio</th>
                                                    <td><input class="form-control input-sm" type="text" name="sPruHoraIni" id="sPruHoraIni" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruHoraIni'] : '' ?>" /></td>
                                                    <th class="active">Termino</th>
                                                    <td><input class="form-control input-sm" type="text" name="sPruHoraTer" id="sPruHoraTer" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruHoraTer'] : '' ?>" /></td>
                                                    <th class="active">Fases RST</th>
                                                    <td><input class="form-control input-sm" type="text" name="sPruFasesRST" id="sPruFasesRST" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruFasesRST'] : '' ?>" /></td>
                                                    <th class="active"></th>
                                                    <th class="active"></th>
                                                    <th class="active"></th>
                                                </tr>
                                                <tr>
                                                    <th class="active">&nbsp;</th>
                                                    <th class="active">Registros</th>
                                                    <th class="active">0%</th>
                                                    <th class="active">25%</th>
                                                    <th class="active">50%</th>
                                                    <th class="active">75%</th>
                                                    <th class="active">100%</th>
                                                    <th class="active">110%</th>
                                                    <th class="active">Tiempo</th>
                                                    <th class="active">Valor Servicio</th>
                                                    <th class="active">Observaci&oacute;n</th>
                                                </tr>
                                                <tr>
                                                    <th class="active">&nbsp;</th>
                                                    <th class="active">Set Point</th>
                                                    <td><input id="sPruSet00" name="sPruSet00" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet00'] : '' ?>" /> Kw</td>
                                                    <td><input id="sPruSet25" name="sPruSet25" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet25'] : '' ?>" /> Kw</td>
                                                    <td><input id="sPruSet50" name="sPruSet50" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet50'] : '' ?>" /> Kw</td>
                                                    <td><input id="sPruSet75" name="sPruSet75" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet75'] : '' ?>" /> Kw</td>
                                                    <td><input id="sPruSet100" name="sPruSet100" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet100'] : '' ?>" /> Kw</td>
                                                    <td><input id="sPruSet110" name="sPruSet110" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruSet110'] : '' ?>" /> Kw</td>
                                                    <td><input id="nPruTiempo" name="nPruTiempo" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['nPruTiempo'] : '' ?>" /></td>
                                                    <td><input id="sPruValor" name="sPruValor" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruValor'] : '' ?>" /></td>
                                                    <td><input id="sPruObservaciones" name="sPruObservaciones" maxlength="255" class="form-control input-sm" value="<?= isset($detalle3[0]) ? $detalle3[0]['sPruObservaciones'] : '' ?>" /></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">1</th>
                                                    <th class="active">Voltaje de generaci&oacute;n de l&iacute;nea</th>
                                                    <td><input id="sPruDet01_0" name="sPruDet01_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet01'] : '' ?>"></td>
                                                    <td><input id="sPruDet01_1" name="sPruDet01_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet01'] : '' ?>"></td>
                                                    <td><input id="sPruDet01_2" name="sPruDet01_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet01'] : '' ?>"></td>
                                                    <td><input id="sPruDet01_3" name="sPruDet01_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet01'] : '' ?>"></td>
                                                    <td><input id="sPruDet01_4" name="sPruDet01_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet01'] : '' ?>"></td>
                                                    <td><input id="sPruDet01_5" name="sPruDet01_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet01'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">2</th>
                                                    <th class="active">Amperios</th>
                                                    <td><input id="sPruDet02_0" name="sPruDet02_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet02'] : '' ?>"></td>
                                                    <td><input id="sPruDet02_1" name="sPruDet02_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet02'] : '' ?>"></td>
                                                    <td><input id="sPruDet02_2" name="sPruDet02_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet02'] : '' ?>"></td>
                                                    <td><input id="sPruDet02_3" name="sPruDet02_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet02'] : '' ?>"></td>
                                                    <td><input id="sPruDet02_4" name="sPruDet02_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet02'] : '' ?>"></td>
                                                    <td><input id="sPruDet02_5" name="sPruDet02_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet02'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">3</th>
                                                    <th class="active">Factor de potencia Cos</th>
                                                    <td><input id="sPruDet03_0" name="sPruDet03_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet03'] : '' ?>"></td>
                                                    <td><input id="sPruDet03_1" name="sPruDet03_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet03'] : '' ?>"></td>
                                                    <td><input id="sPruDet03_2" name="sPruDet03_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet03'] : '' ?>"></td>
                                                    <td><input id="sPruDet03_3" name="sPruDet03_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet03'] : '' ?>"></td>
                                                    <td><input id="sPruDet03_4" name="sPruDet03_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet03'] : '' ?>"></td>
                                                    <td><input id="sPruDet03_5" name="sPruDet03_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet03'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">4</th>
                                                    <th class="active">Potencia Activa KW</th>
                                                    <td><input id="sPruDet04_0" name="sPruDet04_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet04'] : '' ?>"></td>
                                                    <td><input id="sPruDet04_1" name="sPruDet04_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet04'] : '' ?>"></td>
                                                    <td><input id="sPruDet04_2" name="sPruDet04_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet04'] : '' ?>"></td>
                                                    <td><input id="sPruDet04_3" name="sPruDet04_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet04'] : '' ?>"></td>
                                                    <td><input id="sPruDet04_4" name="sPruDet04_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet04'] : '' ?>"></td>
                                                    <td><input id="sPruDet04_5" name="sPruDet04_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet04'] : ''?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">5</th>
                                                    <th class="active">Frecuencia HZ</th>
                                                    <td><input id="sPruDet05_0" name="sPruDet05_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet05'] : '' ?>"></td>
                                                    <td><input id="sPruDet05_1" name="sPruDet05_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet05'] : '' ?>"></td>
                                                    <td><input id="sPruDet05_2" name="sPruDet05_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet05'] : '' ?>"></td>
                                                    <td><input id="sPruDet05_3" name="sPruDet05_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet05'] : '' ?>"></td>
                                                    <td><input id="sPruDet05_4" name="sPruDet05_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet05'] : '' ?>"></td>
                                                    <td><input id="sPruDet05_5" name="sPruDet05_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet05'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">6</th>
                                                    <th class="active">Revoluciones de motor RPM</th>
                                                    <td><input id="sPruDet06_0" name="sPruDet06_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet06'] : '' ?>"></td>
                                                    <td><input id="sPruDet06_1" name="sPruDet06_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet06'] : '' ?>"></td>
                                                    <td><input id="sPruDet06_2" name="sPruDet06_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet06'] : '' ?>"></td>
                                                    <td><input id="sPruDet06_3" name="sPruDet06_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet06'] : '' ?>"></td>
                                                    <td><input id="sPruDet06_4" name="sPruDet06_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet06'] : '' ?>"></td>
                                                    <td><input id="sPruDet06_5" name="sPruDet06_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet06'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">7</th>
                                                    <th class="active">Presi&oacute;n de lubricaci&oacute;n (Bar)</th>
                                                    <td><input id="sPruDet07_0" name="sPruDet07_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet07'] : '' ?>"></td>
                                                    <td><input id="sPruDet07_1" name="sPruDet07_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet07'] : '' ?>"></td>
                                                    <td><input id="sPruDet07_2" name="sPruDet07_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet07'] : '' ?>"></td>
                                                    <td><input id="sPruDet07_3" name="sPruDet07_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet07'] : '' ?>"></td>
                                                    <td><input id="sPruDet07_4" name="sPruDet07_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet07'] : '' ?>"></td>
                                                    <td><input id="sPruDet07_5" name="sPruDet07_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet07'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">8</th>
                                                    <th class="active">Temperatura de refrigerante (Cº)</th>
                                                    <td><input id="sPruDet08_0" name="sPruDet08_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet08'] : '' ?>"></td>
                                                    <td><input id="sPruDet08_1" name="sPruDet08_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet08'] : '' ?>"></td>
                                                    <td><input id="sPruDet08_2" name="sPruDet08_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet08'] : '' ?>"></td>
                                                    <td><input id="sPruDet08_3" name="sPruDet08_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet08'] : '' ?>"></td>
                                                    <td><input id="sPruDet08_4" name="sPruDet08_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet08'] : '' ?>"></td>
                                                    <td><input id="sPruDet08_5" name="sPruDet08_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet08'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">9</th>
                                                    <th class="active">Temperatura parte superior de radiador</th>
                                                    <td><input id="sPruDet09_0" name="sPruDet09_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet09'] : '' ?>"></td>
                                                    <td><input id="sPruDet09_1" name="sPruDet09_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet09'] : '' ?>"></td>
                                                    <td><input id="sPruDet09_2" name="sPruDet09_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet09'] : '' ?>"></td>
                                                    <td><input id="sPruDet09_3" name="sPruDet09_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet09'] : '' ?>"></td>
                                                    <td><input id="sPruDet09_4" name="sPruDet09_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet09'] : '' ?>"></td>
                                                    <td><input id="sPruDet09_5" name="sPruDet09_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet09'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">10</th>
                                                    <th class="active">Temperatura parte baja de radiador</th>
                                                    <td><input id="sPruDet10_0" name="sPruDet10_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet10'] : '' ?>"></td>
                                                    <td><input id="sPruDet10_1" name="sPruDet10_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet10'] : '' ?>"></td>
                                                    <td><input id="sPruDet10_2" name="sPruDet10_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet10'] : '' ?>"></td>
                                                    <td><input id="sPruDet10_3" name="sPruDet10_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet10'] : '' ?>"></td>
                                                    <td><input id="sPruDet10_4" name="sPruDet10_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet10'] : '' ?>"></td>
                                                    <td><input id="sPruDet10_5" name="sPruDet10_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet10'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">11</th>
                                                    <th class="active">Presion Turbo (Bar)* ECM</th>
                                                    <td><input id="sPruDet11_0" name="sPruDet11_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet11'] : '' ?>"></td>
                                                    <td><input id="sPruDet11_1" name="sPruDet11_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet11'] : '' ?>"></td>
                                                    <td><input id="sPruDet11_2" name="sPruDet11_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet11'] : '' ?>"></td>
                                                    <td><input id="sPruDet11_3" name="sPruDet11_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet11'] : '' ?>"></td>
                                                    <td><input id="sPruDet11_4" name="sPruDet11_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet11'] : '' ?>"></td>
                                                    <td><input id="sPruDet11_5" name="sPruDet11_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet11'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">12</th>
                                                    <th class="active">Presion atm (Bar)* ECM</th>
                                                    <td><input id="sPruDet12_0" name="sPruDet12_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet12'] : '' ?>"></td>
                                                    <td><input id="sPruDet12_1" name="sPruDet12_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet12'] : '' ?>"></td>
                                                    <td><input id="sPruDet12_2" name="sPruDet12_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet12'] : '' ?>"></td>
                                                    <td><input id="sPruDet12_3" name="sPruDet12_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet12'] : '' ?>"></td>
                                                    <td><input id="sPruDet12_4" name="sPruDet12_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet12'] : '' ?>"></td>
                                                    <td><input id="sPruDet12_5" name="sPruDet12_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet12'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">13</th>
                                                    <th class="active">Temperatura de combustible (Cº) ECM</th>
                                                    <td><input id="sPruDet13_0" name="sPruDet13_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet13'] : '' ?>"></td>
                                                    <td><input id="sPruDet13_1" name="sPruDet13_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet13'] : '' ?>"></td>
                                                    <td><input id="sPruDet13_2" name="sPruDet13_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet13'] : '' ?>"></td>
                                                    <td><input id="sPruDet13_3" name="sPruDet13_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet13'] : '' ?>"></td>
                                                    <td><input id="sPruDet13_4" name="sPruDet13_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet13'] : '' ?>"></td>
                                                    <td><input id="sPruDet13_5" name="sPruDet13_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet13'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">14</th>
                                                    <th class="active">Temperatura admisi&oacute;n de motor (Cº) ECM</th>
                                                    <td><input id="sPruDet14_0" name="sPruDet14_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet14'] : '' ?>"></td>
                                                    <td><input id="sPruDet14_1" name="sPruDet14_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet14'] : '' ?>"></td>
                                                    <td><input id="sPruDet14_2" name="sPruDet14_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet14'] : '' ?>"></td>
                                                    <td><input id="sPruDet14_3" name="sPruDet14_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet14'] : '' ?>"></td>
                                                    <td><input id="sPruDet14_4" name="sPruDet14_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet14'] : '' ?>"></td>
                                                    <td><input id="sPruDet14_5" name="sPruDet14_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet14'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">15</th>
                                                    <th class="active">Temperatura de aceite de motor (Cº) ECM</th>
                                                    <td><input id="sPruDet15_0" name="sPruDet15_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet15'] : '' ?>"></td>
                                                    <td><input id="sPruDet15_1" name="sPruDet15_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet15'] : '' ?>"></td>
                                                    <td><input id="sPruDet15_2" name="sPruDet15_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet15'] : '' ?>"></td>
                                                    <td><input id="sPruDet15_3" name="sPruDet15_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet15'] : '' ?>"></td>
                                                    <td><input id="sPruDet15_4" name="sPruDet15_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet15'] : '' ?>"></td>
                                                    <td><input id="sPruDet15_5" name="sPruDet15_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet15'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">16</th>
                                                    <th class="active">Comunicaci&oacute;n CAM ECM</th>
                                                    <td><input id="sPruDet16_0" name="sPruDet16_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet16'] : '' ?>"></td>
                                                    <td><input id="sPruDet16_1" name="sPruDet16_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet16'] : '' ?>"></td>
                                                    <td><input id="sPruDet16_2" name="sPruDet16_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet16'] : '' ?>"></td>
                                                    <td><input id="sPruDet16_3" name="sPruDet16_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet16'] : '' ?>"></td>
                                                    <td><input id="sPruDet16_4" name="sPruDet16_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet16'] : '' ?>"></td>
                                                    <td><input id="sPruDet16_5" name="sPruDet16_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet16'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">17</th>
                                                    <th class="active">Presi&oacute;n de Carter</th>
                                                    <td><input id="sPruDet17_0" name="sPruDet17_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet17'] : '' ?>"></td>
                                                    <td><input id="sPruDet17_1" name="sPruDet17_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet17'] : '' ?>"></td>
                                                    <td><input id="sPruDet17_2" name="sPruDet17_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet17'] : '' ?>"></td>
                                                    <td><input id="sPruDet17_3" name="sPruDet17_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet17'] : '' ?>"></td>
                                                    <td><input id="sPruDet17_4" name="sPruDet17_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet17'] : '' ?>"></td>
                                                    <td><input id="sPruDet17_5" name="sPruDet17_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet17'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">18</th>
                                                    <th class="active">Prueba de protecciones por temperatura</th>
                                                    <td><input id="sPruDet18_0" name="sPruDet18_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet18'] : '' ?>"></td>
                                                    <td><input id="sPruDet18_1" name="sPruDet18_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet18'] : '' ?>"></td>
                                                    <td><input id="sPruDet18_2" name="sPruDet18_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet18'] : '' ?>"></td>
                                                    <td><input id="sPruDet18_3" name="sPruDet18_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet18'] : '' ?>"></td>
                                                    <td><input id="sPruDet18_4" name="sPruDet18_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet18'] : '' ?>"></td>
                                                    <td><input id="sPruDet18_5" name="sPruDet18_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet18'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">19</th>
                                                    <th class="active">Prueba de protecciones por baja presi&oacute;n de aceite</th>
                                                    <td><input id="sPruDet19_0" name="sPruDet19_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet19'] : '' ?>"></td>
                                                    <td><input id="sPruDet19_1" name="sPruDet19_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet19'] : '' ?>"></td>
                                                    <td><input id="sPruDet19_2" name="sPruDet19_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet19'] : '' ?>"></td>
                                                    <td><input id="sPruDet19_3" name="sPruDet19_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet19'] : '' ?>"></td>
                                                    <td><input id="sPruDet19_4" name="sPruDet19_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet19'] : '' ?>"></td>
                                                    <td><input id="sPruDet19_5" name="sPruDet19_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet19'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">20</th>
                                                    <th class="active">Prueba de protecciones por bajo nivel de regrigerante</th>
                                                    <td><input id="sPruDet20_0" name="sPruDet20_0" class="form-control input-sm" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDet20'] : '' ?>"></td>
                                                    <td><input id="sPruDet20_1" name="sPruDet20_1" class="form-control input-sm" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDet20'] : '' ?>"></td>
                                                    <td><input id="sPruDet20_2" name="sPruDet20_2" class="form-control input-sm" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDet20'] : '' ?>"></td>
                                                    <td><input id="sPruDet20_3" name="sPruDet20_3" class="form-control input-sm" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDet20'] : '' ?>"></td>
                                                    <td><input id="sPruDet20_4" name="sPruDet20_4" class="form-control input-sm" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDet20'] : '' ?>"></td>
                                                    <td><input id="sPruDet20_5" name="sPruDet20_5" class="form-control input-sm" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDet20'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                                <tr>
                                                    <th class="active">&nbsp;</th>
                                                    <th class="active">Observaciones</th>
                                                    <td><input id="sPruDetObs_0" name="sPruDetObs_0" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[0]) ? $detalle3detalle[0]['sPruDetObs'] : '' ?>"></td>
                                                    <td><input id="sPruDetObs_1" name="sPruDetObs_1" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[1]) ? $detalle3detalle[1]['sPruDetObs'] : '' ?>"></td>
                                                    <td><input id="sPruDetObs_2" name="sPruDetObs_2" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[2]) ? $detalle3detalle[2]['sPruDetObs'] : '' ?>"></td>
                                                    <td><input id="sPruDetObs_3" name="sPruDetObs_3" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[3]) ? $detalle3detalle[3]['sPruDetObs'] : '' ?>"></td>
                                                    <td><input id="sPruDetObs_4" name="sPruDetObs_4" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[4]) ? $detalle3detalle[4]['sPruDetObs'] : '' ?>"></td>
                                                    <td><input id="sPruDetObs_5" name="sPruDetObs_5" class="form-control input-sm" maxlength="255" value="<?= isset($detalle3detalle[5]) ? $detalle3detalle[5]['sPruDetObs'] : '' ?>"></td>
                                                    <td colspan="3" class="active"></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </form>


                                    <div class="col-md-6 form-group text-center">
                                            <label>Firma Técnico</label>
                                            <input type="hidden" id="sManFirmaTecnico" name="sManFirmaTecnico" value="<?php echo isset($r) ? $r->__get('sManFirmaTecnico') : ''; ?>">
                                            <div class="position-relative">
                                                <img id="img_sManFirmaTecnico" class="img-thumbnail p-1 <?php echo isset($r) && $r->__get('sManFirmaTecnico') != '' ? '' : 'hide' ?>" src="<?php echo isset($r) ? $r->__get('sManFirmaTecnico') : ''; ?>"/>
                                            </div>
                                            <div id="paleta_sManFirmaTecnico" class="firma <?php echo isset($r) && $r->__get('sManFirmaTecnico')!=''? 'hide' : ''; ?>">
                                                <canvas id="csManFirmaTecnico" style="margin: 0 auto;" ontouchstart="touchTrazo('sManFirmaTecnico');" onclick="touchTrazo('sManFirmaTecnico');"></canvas>
                                            </div>
                                            <div class="firma-opts row" data-dest="sManFirmaTecnico">
                                                <div class="col-xs-2 form-group">
                                                    <button id="confirm_sManFirmaTecnico" type="button" class="btn btn-block btn-primary btn-flat btn-confirm" disabled>
                                                        Confirmar
                                                    </button>
                                                </div>
                                                <div class="col-xs-2 form-group">
                                                    <button id="limpiar_sManFirmaTecnico" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled><i class="fa fa-trash-o"></i></button>
                                                </div>
                                                <div class="col-xs-2 form-group">
                                                    <button id="borrar_sManFirmaTecnico" type="button" class="btn btn-block btn-danger btn-flat btn-remover" <?php echo isset($r) && $r->__get('sManFirmaTecnico') != '' ? '' : 'disabled'; ?>>
                                                        Remover
                                                    </button>
                                                </div>
                                            </div>
                                    </div>


                                    <div class="col-md-6 form-group text-center">
                                        <label>Firma Cliente</label>
                                        <input type="hidden" id="sManFirmaCliente" name="sManFirmaCliente" value="<?php echo isset($r) ? $r->__get('sManFirmaCliente') : ''; ?>">
                                        <div class="position-relative">
                                            <img id="img_sManFirmaCliente" class="img-thumbnail p-1 <?php echo isset($r) && $r->__get('sManFirmaCliente') != '' ? '' : 'hide' ?>" src="<?php echo isset($r) ? $r->__get('sManFirmaCliente') : ''; ?>"/>
                                        </div>
                                        <div id="paleta_sManFirmaCliente" class="firma <?php echo isset($r) && $r->__get('sManFirmaCliente')!=''? 'hide' : ''; ?>">
                                            <canvas id="csManFirmaCliente" style="margin: 0 auto;" ontouchstart="touchTrazo('sManFirmaCliente');" onclick="touchTrazo('sManFirmaCliente');"></canvas>
                                        </div>
                                        <div class="firma-opts row" data-dest="sManFirmaCliente">
                                            <div class="col-xs-2 form-group">
                                                <button id="confirm_sManFirmaCliente" type="button" class="btn btn-block btn-primary btn-flat btn-confirm" disabled>
                                                    Confirmar
                                                </button>
                                            </div>    
                                            <div class="col-xs-2 form-group">
                                                <button id="limpiar_sManFirmaCliente" type="button" class="btn btn-block btn-danger btn-flat btn-limpiar" disabled><i class="fa fa-trash-o"></i></button>
                                            </div>
                                            <div class="col-xs-2 form-group">
                                                <button id="borrar_sManFirmaCliente" type="button" class="btn btn-block btn-danger btn-flat btn-remover" <?php echo isset($r) && $r->__get('sManFirmaCliente') != '' ? '' : 'disabled'; ?>>
                                                    Remover
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>


                                    
                                </div><!-- /.box-body -->
                                <div class="box-footer">
                                    <button type="button" id="btn-save-mantenimiento" class="btn btn-primary btn-flat">
                                    Guardar <?php echo isset($r) && $r->__get('Mantenimiento_Id') != 0 ? 'cambios' : 'información' ?> 
                                    </button>
                                        <!-- Guardar <?php echo isset($r) && $r->__get('Programacion_Id') != 0 ? 'cambios' : 'información' ?>  -->
                                    <a class="btn btn-danger btn-flat" href="?c=Mantenimiento&a=Index">Cancelar</a>
                                </div>
                                <!-- Modal modeal-1 -->
                            </div><!-- /.box -->
                        </div><!--/.col (left) -->
                    </div> <!-- /.row -->
                </form>
            </section><!-- /.content -->


            <div class="modal fade" id="eliminar_pregunta" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content" id="FrmTipomovimiento">
                        <form action="" method="POST">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                <h4 class="modal-title" id="modal-eliminar-label">Eliminar pregunta</h4>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="idtareax" id="idtareax">
                                <input type="hidden" name="idmantenimientox" id="idmantenimientox">
                                ¿Está seguro que desea eliminar todo el detalle seleccionado? <strong>Debe guardar cambios para aplicar la eliminación.</strong>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                <button type="button" onclick="eliminarItem()" id="eliminarPregunta" class="btn btn-danger btn-flat">Sí, Eliminar</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


            <!-- Modal modal-list-product -->
            <div class="modal fade" style="height: auto;" id="modal-list-product" tabindex="-1" role="dialog" aria-labelledby="modal-list-product-label" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                            <h5>Lista de equipos <span id="auto_complete" style="font-weight: 700;"></span></h5>
                        </div>
                        <div class="modal-body">
                            <div style="display: flex; align-items: center; gap: 0 10px">
                                <button class="btn-xs btn-custom-modal" onclick="changeStatus(1)">Programados</button>
                                <button class="btn-xs btn-custom-modal" onclick="changeStatus(0)">No programados</button>
                            </div>
                            <div style="margin-top: 8px;">

                                <div id="wrapper_spinner" style="display: flex; justify-content: center; align-items: center">
                                    <div class="spinner"></div>
                                </div>

                                <div id="wrapper_table1" class="hidden">
                                    <table id="table_equipo" class="table table-bordered table-striped text-center">
                                        <thead>
                                            <tr>
                                                <th>Equipo</th>
                                                <th>Modelo</th>
                                                <th>Serie</th>
                                                <th>Tipo</th>
                                                <th>Fecha</th>
                                                <th>Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody id="table_equipo_body"></tbody>
                                    </table>
                                </div>
                                
                                <div id="wrapper_table2" class="hidden">
                                    <div style="display: flex; align-items: center; gap: 0 10px">
                                        <span>Filtrar por: </span>
                                        <select name="nSelectTipo" id="nSelectTipo" onchange="filtrarPorTipo(this.value)">
                                            <option value="0" selected>Todos</option>
                                            <option value="1">GE</option>
                                            <option value="2">Torre</option>
                                            <option value="3">Compresor</option>
                                            <option value="4">Rodillo compactador</option>
                                        </select>
                                    </div>
                                    <table id="table_equipo2" class="table table-bordered table-striped text-center">
                                        <thead>
                                            <tr>
                                                <th>Equipo</th>
                                                <th>Modelo</th>
                                                <th>Serie</th>
                                                <th>Tipo</th>
                                                <th>Acción</th>
                                            </tr>
                                        </thead>
                                        <tbody id="table_equipo_body2"></tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /Modal modal-list-product -->

<script src="view/librerias/plugins/signature_pad/sp.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/jquery.tabletojson.js"></script>
<script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesProgMantenimiento.js"></script> -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesMantenimiento.js"></script>

<script type="text/javascript">
    $('#nManTecnico_Id').selectpicker('refresh')

<?php if (isset($r)) { ?>
    let programacion_old = document.getElementById('programacionId').value
    document.getElementById('programacionId_old').value = programacion_old
<?php } ?>

var csManFirmaTecnico = document.querySelector('#csManFirmaTecnico')
var spsManFirmaTecnico = new SignaturePad(csManFirmaTecnico, { minWidth: 0.8, maxWidth: 0.8 });
var csManFirmaCliente = document.querySelector('#csManFirmaCliente')
var spsManFirmaCliente = new SignaturePad(csManFirmaCliente, { minWidth: 0.8, maxWidth: 0.8 });

document.getElementById('limpiar_sManFirmaTecnico').addEventListener('click', function() {
    spsManFirmaTecnico.clear()
})
document.getElementById('limpiar_sManFirmaCliente').addEventListener('click', function() {
    spsManFirmaCliente.clear()
})

function touchTrazo(id){
    $('#confirm_'+id).attr('disabled',false);
    $('#borrar_'+id).attr('disabled',true);
    $('#limpiar_'+id).attr('disabled',false);
}

function confirmarTrazo(id) {
    console.log(id)
    let image = eval('sp'+id+'.toDataURL()')
    $('#img_'+id).removeClass('hide')
    $('#img_'+id).attr('src',image)
    $('#paleta_'+id).addClass('hide')
    $('#'+id).val(image)
    $('#confirm_'+id).attr('disabled',true)
    $('#borrar_'+id).attr('disabled',false)
    $('#limpiar_'+id).attr('disabled',true)
}

function borrarTrazo(id) {
    eval('sp'+id+'.clear()');
    $('#img_'+id).addClass('hide');
    $('#paleta_'+id).removeClass('hide');
    $('#'+id).val('');
    $('#confirm_'+id).attr('disabled',true);
    $('#borrar_'+id).attr('disabled',true);
    $('#limpiar_'+id).attr('disabled',true);
}

$('.btn-confirm').on('click', function () {
    let name = $(this).parent().parent().data('dest')
    confirmarTrazo(name)
});

$('.btn-remover').on('click', function () {
    let name = $(this).parent().parent().data('dest')
    console.log(name)
    borrarTrazo(name)
});


$('#selectedAllReem').change(function() {
    $('.check_r').prop("checked", this.checked);
});

$(document).on('change', '.check_r', function() {
    if ($('.check_r:checked').length == $('.check_r').length) {
        $('#selectedAllReem').prop("checked", true);
    } else {
        $('#selectedAllReem').prop("checked", false);
    }
});

$('#selectedAllOper').change(function() {
    $('.check_o').prop("checked", this.checked);
});

$(document).on('change', '.check_o', function() {
    if ($('.check_o:checked').length == $('.check_o').length) {
        $('#selectedAllOper').prop("checked", true);
    } else {
        $('#selectedAllOper').prop("checked", false);
    }
});

$('#selectedAllProg').change(function() {
    $('.check_p').prop("checked", this.checked);
});

$(document).on('change', '.check_p', function() {
    if ($('.check_p:checked').length == $('.check_p').length) {
        $('#selectedAllProg').prop("checked", true);
    } else {
        $('#selectedAllProg').prop("checked", false);
    }
});

$('#selectedAllCorr').change(function() {
    $('.check_c').prop("checked", this.checked);
});

$(document).on('change', '.check_c', function() {
    if ($('.check_c:checked').length == $('.check_c').length) {
        $('#selectedAllCorr').prop("checked", true);
    } else {
        $('#selectedAllCorr').prop("checked", false);
    }
});


$(document).ready(function () {


$("input:checkbox").on('click', function() {
            // in the handler, 'this' refers to the box clicked on
    var $box = $(this);
    if ($box.is(":checked")) {
        var group = "input:checkbox[name='" + $box.attr("name") + "']";
        $(group).prop("checked", false);
        $box.prop("checked", true);

        if ($box.attr("name") == 'selectedAll') {
            let selectAllR = $('#selectedAllReem')
            if (selectAllR.is(":checked")) {
                $('.check_o').prop("checked", false);
                $('.check_p').prop("checked", false);
                $('.check_c').prop("checked", false);
            }

            let selectAllO = $('#selectedAllOper')
            if (selectAllO.is(":checked")) {
                $('.check_r').prop("checked", false);
                $('.check_p').prop("checked", false);
                $('.check_c').prop("checked", false);
            }

            let selectAllP = $('#selectedAllProg')
            if (selectAllP.is(":checked")) {
                $('.check_r').prop("checked", false);
                $('.check_o').prop("checked", false);
                $('.check_c').prop("checked", false);
            }

            let selectAllC = $('#selectedAllCorr')
            if (selectAllC.is(":checked")) {
                $('.check_r').prop("checked", false);
                $('.check_o').prop("checked", false);
                $('.check_p').prop("checked", false);
            }
        }

    } else {
        $box.prop("checked", false);
    }
});

$('#tableTareas').on('click', 'input:checkbox', function() {
    var $box = $(this);
    // console.log($box);

    if ($box.is(":checked")) {
        var group = "input:checkbox[name='" + $box.attr("name") + "']";
        $(group).prop("checked", false);
        $box.prop("checked", true);
    } else {
        $box.prop("checked", false);
    }
});

});

$('#eliminar_pregunta').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes
        var mantenimiento = button.data('mantenimiento'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#idtareax").val(recipient)
        $("#idmantenimientox").val(mantenimiento)
    });

$('#modal-list-product').on('shown.bs.modal', function () {
    changeStatus(1)
})

$('#modal-list-product').on('hidden.bs.modal', function () {
  console.log('El modal se ha ocultado');
})
</script>