<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Inspecciones Aprobadas
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Insp. Aprbadas</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación de Inspecciones</h3>
                </div> <!-- /.box-header -->

                <div class="row">
                    <div class="col-md-8" style="margin-top: 15px;">
                        <form action="?c=Reportes&a=Informes_Aprobador" method="POST">
                            <div class="row">
                                <div class="col-md-3">
                                    Fecha Inicio <br />
                                    <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                </div>
                                <div class="col-md-3">
                                    Fecha Fin <br />
                                    <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                </div>

                                <div class="col-md-3"><br><button type="submit" class="btn btn-danger btn-flat">Filtrar</button></div>

                            </div>
                        </form>
                    </div>
   
                    <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                        <button onclick="exportarexcel()" type="submit" class="btn btn-success btn-flat">Exportar Excel <i class="fa fa-file-excel-o" aria-hidden="true"></i></button>

                        <button type="button" class="btn btn-warning btn-flat" onclick="enviarCorreoMasivo();">Enviar correo masivo <i class="fa fa-share" aria-hidden="true"></i></button>


                    </div>

                </div>






                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Equipo</th>
                                <th>Distrito</th>
                                <th>Sede/Proyecto</th>
                                <th>Ejecutivo Comercial</th>
                                <th>Estado</th>

                            </tr>
                        </thead>
                        <tbody>


                            <?php foreach ($reportes as $r) : ?>

                                <tr>
                                    <td>
                                        <?php echo $r->dInsFecha; ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sInsCodCliente . " - " . $r->sInsCliente; ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sInsCodEquipo . " - " . $r->sInsSerie; ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sDistrito; ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sSedeProyecto; ?>
                                    </td>
                                    <td>
                                        <?php echo $r->sCliEjecComercial; ?>
                                    </td>
                                    <td>

                                        <?php
                                        if ($r->nInsCerEstadoAprob == 'Generado') { ?>
                                            <font color=#f39c12><?php echo $r->nInsCerEstadoAprob; ?></font>
                                        <?php } else { ?>
                                            <font color=green><?php echo $r->nInsCerEstadoAprob; ?></font>
                                        <?php } ?>

                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>Fecha</th>
                                <th>Cliente</th>
                                <th>Equipo</th>
                                <th>Distrito</th>
                                <th>Sede/Proyecto</th>
                                <th>Ejecutivo Comercial</th>
                                <th>Estado</th>
                            </tr>
                        </tfoot>
                    </table>

                </div>

            </div><!-- /.box-body -->
        </div><!-- /.box -->
    </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<!-- /Modal modal-informacion -->
<div class="modal fade" id="modal-info" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST" id="" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                    <div class="col-sm-6 form-group">
                        <h3>Enviando Correos.. </h3>
                        Por favor Espere un momento...!&nbsp;&nbsp;
                        <i class="fa fa-refresh fa-spin"></i>
                    </div>
                    <div class="col-sm-12">


                    </div>

                </div>
                <div class="modal-footer">
                    <div class="col-sm-12">

                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /Modal modal-informacion -->
<div class="modal fade" id="modal-excel" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="modal-operaciones-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST" id="" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-operaciones-label">Información</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="Reclamos_Gast_Id" id="Reclamos_Gast_Id" value="0">

                    <div class="col-sm-6 form-group">
                        <h3>Descargando Archivo Excel.. </h3>
                        Por favor Espere un momento...!&nbsp;&nbsp;
                        <i class="fa fa-refresh fa-spin"></i>
                    </div>
                    <div class="col-sm-12">


                    </div>

                </div>
                <div class="modal-footer">
                    <div class="col-sm-12">

                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesCertificadosxvencer.js"></script>
-->
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(document).ready(function() {

        $("#example1").dataTable({
            "aaSorting": []
        });
        var max_chars = 500;
        // $('.datepicker').datetimepicker({
        //     viewMode: 'days',
        //     format: 'DD-MM-YYYY'
        // });
    });
    //$(document).ready(function() {
    //    reportes_excel.Nombre('Certificadosxvencer');
    //    reportes_excel.TableData("example1");
    //    reportes_excel.Excel();
    //});


    function excel_rpt_InspeccionesAprobador() {
        $("#modal-excel").modal("show");
        /*em 14-01-2021*/
        fetch('?c=Reportes&a=excel_rpt_InspeccionesAprobador')
            .then(resp => resp.blob())
            .then(blob => {
                const url = window.URL.createObjectURL(blob);
                const a = document.createElement('a');
                a.style.display = 'none';
                a.href = url;
                // 
                a.download = 'inspecciones_aprobador.xls';
                document.body.appendChild(a);
                a.click();
                window.URL.revokeObjectURL(url);
                setTimeout(function() {
                    $("#modal-excel").modal("hide");
                }, 1000);
            })
            .catch(() => {
                $("#modal-excel").modal("hide");
                alert('Error al descargar excel!');
            }); //

    }

    function enviarCorreo(sInsCodCliente, dInsFechaVencimiento, sCliCorreo, sInsCliente, sInsProducto, sInsServicio, dInsFecha) {
        if (sCliCorreo != '' && sInsCodCliente != '') {
            $("#modal-info").modal("show");

            $.ajax({
                url: '?c=Reportes&a=enviarCorreo',
                data: {
                    sInsCodCliente: sInsCodCliente,
                    dInsFechaVencimiento: dInsFechaVencimiento,
                    sCliCorreo: sCliCorreo,
                    sInsCliente: sInsCliente,
                    sInsProducto: sInsProducto,
                    sInsServicio: sInsServicio,
                    dInsFecha: dInsFecha
                },
                type: "post",

                success: function(data) {
                    console.log(data);
                },
                complete: function(xhr, status) {

                    $("#modal-info").modal("hide");
                },
                error: function(error) {
                    $("#modal-info").modal("hide");
                    alert("Error al enviar correos...");
                }
            });

            //$("#GuardarReclamos").attr('disabled', false);
        }
    }

    function enviarCorreoMasivo() {
        $("#modal-info").modal("show");
        $.ajax({
            //url: '?c=Reportes&a=enviarCorreoMasivo',
            url: '?c=Reportes&a=enviarCorreoRptInspeccionesAprobador',
            type: "post",
            data: {
                fechaInicio: $('#fechaInicio').val(),
                fechaFin: $('#fechaFin').val()
            },

            success: function(data) {
                console.log(data);
            },
            complete: function(xhr, status) {

                $("#modal-info").modal("hide");
            },
            error: function(error) {
                $("#modal-info").modal("hide");
                alert("Error al enviar correos...");
            }
        });
    }
	
function exportarexcel() {
        const fecha = [];
        const codcliente = [];

        var info = <?php echo $aprobador; ?>;
        console.log(info);



        const data = [
            ["FECHA", 'CLIENTE', 'EQUIPO', 'DISTRITO', 'SEDE/PROYECTO', 'EJECUTIVO COMERCIAL', 'ESTADO'],
        ];

        for (var item of info) {
            data.push([item.Fecha, item.sInsCodCliente + ' - ' + item.sInsCliente, item.sInsCodEquipo + ' - ' + item.sInsSerie,
                item.sDistrito, item.sSedeProyecto, item.sCliEjecComercial, item.nInsCerEstadoAprob
            ]);
        }


        console.warn('example', data);

        // Creates the sheet data
        const ws = XLSX.utils.aoa_to_sheet(data);
        // Create a new book where to append the data.
        const wb = XLSX.utils.book_new();

        // Append the sheet (second param) to the book (first param)
        // with the specified name (third param)
        XLSX.utils.book_append_sheet(wb, ws, "Hoja 1");

        // This is the instruction that tells the browser to
        // "download" the file
        XLSX.writeFile(wb, 'Inspecciones_Aprobador.xlsx');

        return info;
    }

    document.querySelector('#saveBook').onclick = saveBook;
</script>