<?php

class ReportesModel
{
    private $pdo;
    public function __CONSTRUCT()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Certificadosxvencer()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL rpt_certificadosxvencer()");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /*em 20-01-2021 */
    public function CertificadosxvencerCli($condicion)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL rpt_certificadosxvencer()");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                if ($r->sInsCodCliente == $condicion) {
                    $result[] = $r;
                }
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    /* em 01-01-2021*/
    public function CorreosComercial()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT sParValor, Parametro_Id FROM parametros    WHERE Parametro_Id>=5 and Parametro_Id<=6");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
                // $result = (array)$r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }

    public function EnviarCorreo($asunto, $correos, $mensaje)
    {

        // $correos_s = explode(" ", $correos);
        // $correos_s = str_replace(';', '', explode(" ", $correos));
        // var_dump($correos_s);

        $contar = count($correos);
        var_dump($contar);

        require_once 'view/librerias/PHPMailer/PHPMailerAutoload.php';
        $mail = new PHPMailer();

        $mail->isSMTP();
        $mail->SMTPDebug = 2;
        $mail->Debugoutput = 'html';
        $mail->Host = "smtp.office365.com";
        $mail->Port = 587;
        $mail->SMTPAuth = true;
        $mail->SMTPSecure = 'STARTTLS';
        $mail->Username = "alertas@modasa.com.pe";
        $mail->Password = "20M0d@s@";
        $mail->setFrom('alertas@modasa.com.pe', 'CERTIFICADOS MODASA');
        $mail->CharSet = 'UTF-8'; // the same as 'utf-8'
        // $mail->addReplyTo('alertas@modasa.com.pe', 'COTIZACION MODASA');
        // for ($i = 0; $i < $contar; $i++) {
        //     $mail->addAddress($correos[$i]);
        // }
        $mail->addAddress('asistente@felipemarroquin.com');
        $mail->AddBCC("alertas@modasa.com.pe"); // Copia oculta
        $mail->IsHTML(true);
        $mail->Subject = $asunto;
        $mail->AddEmbeddedImage('view/librerias/dist/img/logo_modasa.png', 'adjunto');
        //$mail->AddEmbeddedImage('uploads/' . $imagen . '', 'adjunto');
        $mail->msgHTML($mensaje);
        $mail->AltBody = $mensaje;
        if (!$mail->send()) {
            echo '<div class="content-header">
                        <div class="alert alert-danger" role="alert" style="margin-bottom: 0px;">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <strong>Mensaje Error!</strong>, ' . $mail->ErrorInfo . '.
                        </div>
                  </div>';
        }
    }

    public function Informes_AprobadosRechazados($fechaInicio, $fechaFin)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL rpt_aprobadosrechazados('" . date('Y-m-d', strtotime($fechaInicio)) . "','" . date('Y-m-d', strtotime($fechaFin)) . "')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Informes_Aprobador($fechaInicio, $fechaFin)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL rpt_aprobacionesAprobador('" . date('Y-m-d', strtotime($fechaInicio)) . "','" . date('Y-m-d', strtotime($fechaFin)) . "')");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function CorreosAprobador()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT sParValor, Parametro_Id FROM parametros WHERE Parametro_Id=7");
            $stm->execute();
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
                // $result = (array)$r;
            }

            return $result;
        } catch (Exception $exc) {
            echo $exc->getMessage();
        }
    }
}
