<?php
require_once '../../model/database.php'; 
require_once '../../model/contrato.entidad.php';
require_once '../../model/contrato.model.php';
require_once '..//librerias/PHPExcel/PHPExcel.php'; 

$server = "localhost";
$usuario = "vpsfmsac_root_modaservice";
$pass = "Inspecciones*2023";
$db = "vpsfmsac_inspeccionesmodaservice";

$mysqli = new mysqli($server, $usuario, $pass, $db);

// Verificar conexión
if ($mysqli->connect_error) {
    die('Error de conexión: ' . $mysqli->connect_error);
}

$resultado = $mysqli->query('CALL con_listar(0)');

// Verificar si la consulta fue exitosa
if ($resultado === false) {
    die('Error en la consulta: ' . $mysqli->error);
}

$objPHPExcel = new PHPExcel();

// Configurar propiedades del documento
$objPHPExcel->getProperties()->setCreator("Tu Nombre")
                             ->setTitle("Exportación de Contratos");

// Añadir encabezados de columna
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'Número')
            ->setCellValue('B1', 'Cliente')
            ->setCellValue('C1', 'Fecha')
            ->setCellValue('D1', 'Inicio')
            ->setCellValue('E1', 'Término')
            ->setCellValue('F1', 'Periodo Alquiler')
            ->setCellValue('G1', 'Sucursal')
            ->setCellValue('H1', 'Ubicación');

// Llenar datos
$baseRow = 2;
while ($contrato = $resultado->fetch_object('Contrato')) {
    $objPHPExcel->getActiveSheet()
                ->setCellValue('A' . $baseRow, $contrato->sConNumero)
                ->setCellValue('B' . $baseRow, $contrato->sCliNombre)
                ->setCellValue('C' . $baseRow, $contrato->dConFecha)
                ->setCellValue('D' . $baseRow, $contrato->dConFechaInicio)
                ->setCellValue('E' . $baseRow, $contrato->dConFechaTermino)
                ->setCellValue('F' . $baseRow, $contrato->sConPeriodoAlquiler)
                ->setCellValue('G' . $baseRow, $contrato->sConSucursal)
                ->setCellValue('H' . $baseRow, $contrato->sConUbicacion);
    $baseRow++;
}

$mysqli->close();

// Finalizar y enviar el archivo al navegador
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="contratos.xls"');
header('Cache-Control: max-age=0');

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter->save('php://output');
exit;
?>
