var dataRepuestos = []

function FrmGuardarEquipo() {
    $.post('?c=Equipo&a=FrmGuardarEquipo', {
    }, function (data) {
        $(".content-wrapper").html(data);
        dataRepuestos = []
    });
}

function FrmEditarEquipo(Equipo_Id) {
    $.post('?c=Equipo&a=FrmEditarEquipo', {
        Equipo_Id: Equipo_Id
    }, function(data) {
        $(".content-wrapper").html(data)
        estadoRepuestos()
    })
}

function mostrarEquipo(Equipo_Id) {
    $.post('?c=Equipo&a=MostrarEquipo', {
        Equipo_Id: Equipo_Id
    }, function(data) {
        $("#ver_datos").html(data)
    })
}

function guardarEquipo() {
    let Equipo_Id = document.getElementById('Equipo_Id').value;
    let sEqActivoFijo = document.getElementById('sEqActivoFijo').value;

    verificarActivoFijoExistente(Equipo_Id, sEqActivoFijo, function(existe) {
        if (existe) {
            alert("Este activo fijo ya existe");
        } else {
            // Continuar con el guardado
            let sEqModelo = document.getElementById('sEqModelo').value;
            let sEqSerie = document.getElementById('sEqSerie').value;
            let nEqTipo = document.getElementById('nEqTipo').value;
            let sEqSatelite = document.getElementById('sEqSatelite').value;

            $.post('?c=Equipo&a=GuardarEquipo', {
                Equipo_Id: Equipo_Id,
                sEqActivoFijo: sEqActivoFijo,
                sEqModelo: sEqModelo,
                sEqSerie: sEqSerie,
                nEqTipo: nEqTipo,
                sEqSatelite: sEqSatelite,
                dataRepuestos
            }, function(data) {
                $('#resultado').html(data);
                setTimeout(() => {
                    window.location.reload();
                }, 800);
            });
        }
    });
}

function verificarActivoFijoExistente(Equipo_Id, activoFijo, callback) {
    $.post('?c=Equipo&a=VerificarActivoFijo', { Equipo_Id: Equipo_Id, sEqActivoFijo: activoFijo }, function(data) {
        if (typeof callback === "function") {
            callback(data === '1');
        }
    });
}


function estadoRepuestos() {
    let t_repuesto = document.getElementById('table-ls-repuestos').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[0].innerText
    let num_td_r = document.getElementById('table-ls-repuestos').getElementsByTagName('tbody')[0].getElementsByTagName('tr').length

    if (t_repuesto == "No hay información") {
        return
    }

    for (let i = 0; i < num_td_r; i++) {
        dataRepuestos.push({
            Repuesto_Id: document.getElementById('table-ls-repuestos').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[0].innerText,
            sRepNombre: document.getElementById('table-ls-repuestos').getElementsByTagName('tbody')[0].getElementsByTagName('tr')[i].children[1].innerText
        })
    }
}

function removeRepuesto(idRepuesto) {
    dataRepuestos = dataRepuestos.filter(repuesto => repuesto.Repuesto_Id != idRepuesto)
    LlenarTablaRepuesto()
}

function LlenarTablaRepuesto() {
    let tableHTML = ''
    if (dataRepuestos.length <= 0) {
        tableHTML += `<tr>
                        <td class="text-center" colspan="5">No hay información</td>
                    </tr>
                    `
    }
    dataRepuestos.forEach(data => {
        tableHTML += `<tr>
                        <td>${data.sRepNombre}</td>
                        <td>
                            <button type="button" onclick="removeRepuesto(${data.Repuesto_Id})"
                                class="btn btn-danger btn-xs">
                                <i class="fa fa-trash-o"></i>
                            </button>
                        </td>
        </tr>
        `
    })
    let tabla = document.getElementById('table-ls-repuestos')
    tabla.getElementsByTagName('tbody')[0].innerHTML = tableHTML
}

function enListaRepuesto(id) {
    return dataRepuestos.findIndex(data => data.Repuesto_Id == id)
}

$("#btn-save-equipo").click(function () { 
    if ($("#FrmEquipos").valid()) {
        guardarEquipo()
    }
})

$("#btn-add-repuesto").click(function () { 
    let Repuesto = document.getElementById('nRepuesto_Id')
    let RepuestoNombre = Repuesto.options[Repuesto.selectedIndex].text
    if (Repuesto.value === "0") {
        alert("Selecciona un repuesto")
        return
    }
    let datos_tabla = {}

    datos_tabla.sRepNombre = RepuestoNombre
    datos_tabla.Repuesto_Id = Repuesto.value

    if (enListaRepuesto(datos_tabla.Repuesto_Id) >= 0) {
        return
    }
    dataRepuestos.push(datos_tabla)

    LlenarTablaRepuesto()
    document.getElementById('nRepuesto_Id').value = "0"
    $('#nRepuesto_Id').selectpicker('refresh')
})